/**
* @vue/shared v3.4.16
* (c) 2018-present Yuxi (Evan) You and Vue contributors
* @license MIT
**/
function gs(e, t) {
  const s = new Set(e.split(","));
  return t ? (n) => s.has(n.toLowerCase()) : (n) => s.has(n);
}
const H = {}, Ge = [], ne = () => {
}, yr = () => !1, It = (e) => e.charCodeAt(0) === 111 && e.charCodeAt(1) === 110 && // uppercase letter
(e.charCodeAt(2) > 122 || e.charCodeAt(2) < 97), ms = (e) => e.startsWith("onUpdate:"), q = Object.assign, bs = (e, t) => {
  const s = e.indexOf(t);
  s > -1 && e.splice(s, 1);
}, Sr = Object.prototype.hasOwnProperty, I = (e, t) => Sr.call(e, t), w = Array.isArray, Je = (e) => Mt(e) === "[object Map]", Sn = (e) => Mt(e) === "[object Set]", R = (e) => typeof e == "function", G = (e) => typeof e == "string", Ye = (e) => typeof e == "symbol", B = (e) => e !== null && typeof e == "object", On = (e) => (B(e) || R(e)) && R(e.then) && R(e.catch), An = Object.prototype.toString, Mt = (e) => An.call(e), Or = (e) => Mt(e).slice(8, -1), wn = (e) => Mt(e) === "[object Object]", Cs = (e) => G(e) && e !== "NaN" && e[0] !== "-" && "" + parseInt(e, 10) === e, yt = /* @__PURE__ */ gs(
  // the leading comma is intentional so empty string "" is also included
  ",key,ref,ref_for,ref_key,onVnodeBeforeMount,onVnodeMounted,onVnodeBeforeUpdate,onVnodeUpdated,onVnodeBeforeUnmount,onVnodeUnmounted"
), Nt = (e) => {
  const t = /* @__PURE__ */ Object.create(null);
  return (s) => t[s] || (t[s] = e(s));
}, Ar = /-(\w)/g, xe = Nt((e) => e.replace(Ar, (t, s) => s ? s.toUpperCase() : "")), wr = /\B([A-Z])/g, fe = Nt(
  (e) => e.replace(wr, "-$1").toLowerCase()
), vn = Nt((e) => e.charAt(0).toUpperCase() + e.slice(1)), Jt = Nt((e) => e ? `on${vn(e)}` : ""), Be = (e, t) => !Object.is(e, t), zt = (e, t) => {
  for (let s = 0; s < e.length; s++)
    e[s](t);
}, wt = (e, t, s) => {
  Object.defineProperty(e, t, {
    configurable: !0,
    enumerable: !1,
    value: s
  });
}, vr = (e) => {
  const t = parseFloat(e);
  return isNaN(t) ? e : t;
}, Ws = (e) => {
  const t = G(e) ? Number(e) : NaN;
  return isNaN(t) ? e : t;
};
let Gs;
const Rn = () => Gs || (Gs = typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : typeof global < "u" ? global : {});
function Es(e) {
  if (w(e)) {
    const t = {};
    for (let s = 0; s < e.length; s++) {
      const n = e[s], r = G(n) ? Mr(n) : Es(n);
      if (r)
        for (const o in r)
          t[o] = r[o];
    }
    return t;
  } else if (G(e) || B(e))
    return e;
}
const Rr = /;(?![^(]*\))/g, Tr = /:([^]+)/, Ir = /\/\*[^]*?\*\//g;
function Mr(e) {
  const t = {};
  return e.replace(Ir, "").split(Rr).forEach((s) => {
    if (s) {
      const n = s.split(Tr);
      n.length > 1 && (t[n[0].trim()] = n[1].trim());
    }
  }), t;
}
function xs(e) {
  let t = "";
  if (G(e))
    t = e;
  else if (w(e))
    for (let s = 0; s < e.length; s++) {
      const n = xs(e[s]);
      n && (t += n + " ");
    }
  else if (B(e))
    for (const s in e)
      e[s] && (t += s + " ");
  return t.trim();
}
const Nr = "itemscope,allowfullscreen,formnovalidate,ismap,nomodule,novalidate,readonly", Fr = /* @__PURE__ */ gs(Nr);
function Tn(e) {
  return !!e || e === "";
}
const Dr = (e) => G(e) ? e : e == null ? "" : w(e) || B(e) && (e.toString === An || !R(e.toString)) ? JSON.stringify(e, In, 2) : String(e), In = (e, t) => t && t.__v_isRef ? In(e, t.value) : Je(t) ? {
  [`Map(${t.size})`]: [...t.entries()].reduce(
    (s, [n, r], o) => (s[qt(n, o) + " =>"] = r, s),
    {}
  )
} : Sn(t) ? {
  [`Set(${t.size})`]: [...t.values()].map((s) => qt(s))
} : Ye(t) ? qt(t) : B(t) && !w(t) && !wn(t) ? String(t) : t, qt = (e, t = "") => {
  var s;
  return Ye(e) ? `Symbol(${(s = e.description) != null ? s : t})` : e;
};
let ce;
class Lr {
  constructor(t = !1) {
    this.detached = t, this._active = !0, this.effects = [], this.cleanups = [], this.parent = ce, !t && ce && (this.index = (ce.scopes || (ce.scopes = [])).push(
      this
    ) - 1);
  }
  get active() {
    return this._active;
  }
  run(t) {
    if (this._active) {
      const s = ce;
      try {
        return ce = this, t();
      } finally {
        ce = s;
      }
    }
  }
  /**
   * This should only be called on non-detached scopes
   * @internal
   */
  on() {
    ce = this;
  }
  /**
   * This should only be called on non-detached scopes
   * @internal
   */
  off() {
    ce = this.parent;
  }
  stop(t) {
    if (this._active) {
      let s, n;
      for (s = 0, n = this.effects.length; s < n; s++)
        this.effects[s].stop();
      for (s = 0, n = this.cleanups.length; s < n; s++)
        this.cleanups[s]();
      if (this.scopes)
        for (s = 0, n = this.scopes.length; s < n; s++)
          this.scopes[s].stop(!0);
      if (!this.detached && this.parent && !t) {
        const r = this.parent.scopes.pop();
        r && r !== this && (this.parent.scopes[this.index] = r, r.index = this.index);
      }
      this.parent = void 0, this._active = !1;
    }
  }
}
function Ur(e, t = ce) {
  t && t.active && t.effects.push(e);
}
function jr() {
  return ce;
}
let He;
class Ps {
  constructor(t, s, n, r) {
    this.fn = t, this.trigger = s, this.scheduler = n, this.active = !0, this.deps = [], this._dirtyLevel = 4, this._trackId = 0, this._runnings = 0, this._shouldSchedule = !1, this._depsLength = 0, Ur(this, r);
  }
  get dirty() {
    if (this._dirtyLevel === 2 || this._dirtyLevel === 3) {
      this._dirtyLevel = 1, Ie();
      for (let t = 0; t < this._depsLength; t++) {
        const s = this.deps[t];
        if (s.computed && (Hr(s.computed), this._dirtyLevel >= 4))
          break;
      }
      this._dirtyLevel === 1 && (this._dirtyLevel = 0), Me();
    }
    return this._dirtyLevel >= 4;
  }
  set dirty(t) {
    this._dirtyLevel = t ? 4 : 0;
  }
  run() {
    if (this._dirtyLevel = 0, !this.active)
      return this.fn();
    let t = Re, s = He;
    try {
      return Re = !0, He = this, this._runnings++, Js(this), this.fn();
    } finally {
      zs(this), this._runnings--, He = s, Re = t;
    }
  }
  stop() {
    var t;
    this.active && (Js(this), zs(this), (t = this.onStop) == null || t.call(this), this.active = !1);
  }
}
function Hr(e) {
  return e.value;
}
function Js(e) {
  e._trackId++, e._depsLength = 0;
}
function zs(e) {
  if (e.deps.length > e._depsLength) {
    for (let t = e._depsLength; t < e.deps.length; t++)
      Mn(e.deps[t], e);
    e.deps.length = e._depsLength;
  }
}
function Mn(e, t) {
  const s = e.get(t);
  s !== void 0 && t._trackId !== s && (e.delete(t), e.size === 0 && e.cleanup());
}
let Re = !0, ns = 0;
const Nn = [];
function Ie() {
  Nn.push(Re), Re = !1;
}
function Me() {
  const e = Nn.pop();
  Re = e === void 0 ? !0 : e;
}
function ys() {
  ns++;
}
function Ss() {
  for (ns--; !ns && rs.length; )
    rs.shift()();
}
function Fn(e, t, s) {
  if (t.get(e) !== e._trackId) {
    t.set(e, e._trackId);
    const n = e.deps[e._depsLength];
    n !== t ? (n && Mn(n, e), e.deps[e._depsLength++] = t) : e._depsLength++;
  }
}
const rs = [];
function Dn(e, t, s) {
  ys();
  for (const n of e.keys()) {
    let r;
    n._dirtyLevel < t && (r ?? (r = e.get(n) === n._trackId)) && (n._shouldSchedule || (n._shouldSchedule = n._dirtyLevel === 0), n._dirtyLevel = t), n._shouldSchedule && (r ?? (r = e.get(n) === n._trackId)) && (n.trigger(), (!n._runnings || n.allowRecurse) && n._dirtyLevel !== 2 && (n._shouldSchedule = !1, n.scheduler && rs.push(n.scheduler)));
  }
  Ss();
}
const Ln = (e, t) => {
  const s = /* @__PURE__ */ new Map();
  return s.cleanup = e, s.computed = t, s;
}, os = /* @__PURE__ */ new WeakMap(), Ve = Symbol(""), is = Symbol("");
function ee(e, t, s) {
  if (Re && He) {
    let n = os.get(e);
    n || os.set(e, n = /* @__PURE__ */ new Map());
    let r = n.get(s);
    r || n.set(s, r = Ln(() => n.delete(s))), Fn(
      He,
      r
    );
  }
}
function Pe(e, t, s, n, r, o) {
  const l = os.get(e);
  if (!l)
    return;
  let f = [];
  if (t === "clear")
    f = [...l.values()];
  else if (s === "length" && w(e)) {
    const u = Number(n);
    l.forEach((d, h) => {
      (h === "length" || !Ye(h) && h >= u) && f.push(d);
    });
  } else
    switch (s !== void 0 && f.push(l.get(s)), t) {
      case "add":
        w(e) ? Cs(s) && f.push(l.get("length")) : (f.push(l.get(Ve)), Je(e) && f.push(l.get(is)));
        break;
      case "delete":
        w(e) || (f.push(l.get(Ve)), Je(e) && f.push(l.get(is)));
        break;
      case "set":
        Je(e) && f.push(l.get(Ve));
        break;
    }
  ys();
  for (const u of f)
    u && Dn(
      u,
      4
    );
  Ss();
}
const Vr = /* @__PURE__ */ gs("__proto__,__v_isRef,__isVue"), Un = new Set(
  /* @__PURE__ */ Object.getOwnPropertyNames(Symbol).filter((e) => e !== "arguments" && e !== "caller").map((e) => Symbol[e]).filter(Ye)
), qs = /* @__PURE__ */ Br();
function Br() {
  const e = {};
  return ["includes", "indexOf", "lastIndexOf"].forEach((t) => {
    e[t] = function(...s) {
      const n = N(this);
      for (let o = 0, l = this.length; o < l; o++)
        ee(n, "get", o + "");
      const r = n[t](...s);
      return r === -1 || r === !1 ? n[t](...s.map(N)) : r;
    };
  }), ["push", "pop", "shift", "unshift", "splice"].forEach((t) => {
    e[t] = function(...s) {
      Ie(), ys();
      const n = N(this)[t].apply(this, s);
      return Ss(), Me(), n;
    };
  }), e;
}
function $r(e) {
  const t = N(this);
  return ee(t, "has", e), t.hasOwnProperty(e);
}
class jn {
  constructor(t = !1, s = !1) {
    this._isReadonly = t, this._shallow = s;
  }
  get(t, s, n) {
    const r = this._isReadonly, o = this._shallow;
    if (s === "__v_isReactive")
      return !r;
    if (s === "__v_isReadonly")
      return r;
    if (s === "__v_isShallow")
      return o;
    if (s === "__v_raw")
      return n === (r ? o ? to : $n : o ? Bn : Vn).get(t) || // receiver is not the reactive proxy, but has the same prototype
      // this means the reciever is a user proxy of the reactive proxy
      Object.getPrototypeOf(t) === Object.getPrototypeOf(n) ? t : void 0;
    const l = w(t);
    if (!r) {
      if (l && I(qs, s))
        return Reflect.get(qs, s, n);
      if (s === "hasOwnProperty")
        return $r;
    }
    const f = Reflect.get(t, s, n);
    return (Ye(s) ? Un.has(s) : Vr(s)) || (r || ee(t, "get", s), o) ? f : te(f) ? l && Cs(s) ? f : f.value : B(f) ? r ? Kn(f) : ws(f) : f;
  }
}
class Hn extends jn {
  constructor(t = !1) {
    super(!1, t);
  }
  set(t, s, n, r) {
    let o = t[s];
    if (!this._shallow) {
      const u = it(o);
      if (!ls(n) && !it(n) && (o = N(o), n = N(n)), !w(t) && te(o) && !te(n))
        return u ? !1 : (o.value = n, !0);
    }
    const l = w(t) && Cs(s) ? Number(s) < t.length : I(t, s), f = Reflect.set(t, s, n, r);
    return t === N(r) && (l ? Be(n, o) && Pe(t, "set", s, n) : Pe(t, "add", s, n)), f;
  }
  deleteProperty(t, s) {
    const n = I(t, s);
    t[s];
    const r = Reflect.deleteProperty(t, s);
    return r && n && Pe(t, "delete", s, void 0), r;
  }
  has(t, s) {
    const n = Reflect.has(t, s);
    return (!Ye(s) || !Un.has(s)) && ee(t, "has", s), n;
  }
  ownKeys(t) {
    return ee(
      t,
      "iterate",
      w(t) ? "length" : Ve
    ), Reflect.ownKeys(t);
  }
}
class Kr extends jn {
  constructor(t = !1) {
    super(!0, t);
  }
  set(t, s) {
    return !0;
  }
  deleteProperty(t, s) {
    return !0;
  }
}
const Wr = /* @__PURE__ */ new Hn(), Gr = /* @__PURE__ */ new Kr(), Jr = /* @__PURE__ */ new Hn(
  !0
), Os = (e) => e, Ft = (e) => Reflect.getPrototypeOf(e);
function mt(e, t, s = !1, n = !1) {
  e = e.__v_raw;
  const r = N(e), o = N(t);
  s || (Be(t, o) && ee(r, "get", t), ee(r, "get", o));
  const { has: l } = Ft(r), f = n ? Os : s ? Ts : Rs;
  if (l.call(r, t))
    return f(e.get(t));
  if (l.call(r, o))
    return f(e.get(o));
  e !== r && e.get(t);
}
function bt(e, t = !1) {
  const s = this.__v_raw, n = N(s), r = N(e);
  return t || (Be(e, r) && ee(n, "has", e), ee(n, "has", r)), e === r ? s.has(e) : s.has(e) || s.has(r);
}
function Ct(e, t = !1) {
  return e = e.__v_raw, !t && ee(N(e), "iterate", Ve), Reflect.get(e, "size", e);
}
function Xs(e) {
  e = N(e);
  const t = N(this);
  return Ft(t).has.call(t, e) || (t.add(e), Pe(t, "add", e, e)), this;
}
function Ys(e, t) {
  t = N(t);
  const s = N(this), { has: n, get: r } = Ft(s);
  let o = n.call(s, e);
  o || (e = N(e), o = n.call(s, e));
  const l = r.call(s, e);
  return s.set(e, t), o ? Be(t, l) && Pe(s, "set", e, t) : Pe(s, "add", e, t), this;
}
function ks(e) {
  const t = N(this), { has: s, get: n } = Ft(t);
  let r = s.call(t, e);
  r || (e = N(e), r = s.call(t, e)), n && n.call(t, e);
  const o = t.delete(e);
  return r && Pe(t, "delete", e, void 0), o;
}
function Zs() {
  const e = N(this), t = e.size !== 0, s = e.clear();
  return t && Pe(e, "clear", void 0, void 0), s;
}
function Et(e, t) {
  return function(n, r) {
    const o = this, l = o.__v_raw, f = N(l), u = t ? Os : e ? Ts : Rs;
    return !e && ee(f, "iterate", Ve), l.forEach((d, h) => n.call(r, u(d), u(h), o));
  };
}
function xt(e, t, s) {
  return function(...n) {
    const r = this.__v_raw, o = N(r), l = Je(o), f = e === "entries" || e === Symbol.iterator && l, u = e === "keys" && l, d = r[e](...n), h = s ? Os : t ? Ts : Rs;
    return !t && ee(
      o,
      "iterate",
      u ? is : Ve
    ), {
      // iterator protocol
      next() {
        const { value: x, done: y } = d.next();
        return y ? { value: x, done: y } : {
          value: f ? [h(x[0]), h(x[1])] : h(x),
          done: y
        };
      },
      // iterable protocol
      [Symbol.iterator]() {
        return this;
      }
    };
  };
}
function Oe(e) {
  return function(...t) {
    return e === "delete" ? !1 : e === "clear" ? void 0 : this;
  };
}
function zr() {
  const e = {
    get(o) {
      return mt(this, o);
    },
    get size() {
      return Ct(this);
    },
    has: bt,
    add: Xs,
    set: Ys,
    delete: ks,
    clear: Zs,
    forEach: Et(!1, !1)
  }, t = {
    get(o) {
      return mt(this, o, !1, !0);
    },
    get size() {
      return Ct(this);
    },
    has: bt,
    add: Xs,
    set: Ys,
    delete: ks,
    clear: Zs,
    forEach: Et(!1, !0)
  }, s = {
    get(o) {
      return mt(this, o, !0);
    },
    get size() {
      return Ct(this, !0);
    },
    has(o) {
      return bt.call(this, o, !0);
    },
    add: Oe("add"),
    set: Oe("set"),
    delete: Oe("delete"),
    clear: Oe("clear"),
    forEach: Et(!0, !1)
  }, n = {
    get(o) {
      return mt(this, o, !0, !0);
    },
    get size() {
      return Ct(this, !0);
    },
    has(o) {
      return bt.call(this, o, !0);
    },
    add: Oe("add"),
    set: Oe("set"),
    delete: Oe("delete"),
    clear: Oe("clear"),
    forEach: Et(!0, !0)
  };
  return ["keys", "values", "entries", Symbol.iterator].forEach((o) => {
    e[o] = xt(
      o,
      !1,
      !1
    ), s[o] = xt(
      o,
      !0,
      !1
    ), t[o] = xt(
      o,
      !1,
      !0
    ), n[o] = xt(
      o,
      !0,
      !0
    );
  }), [
    e,
    s,
    t,
    n
  ];
}
const [
  qr,
  Xr,
  Yr,
  kr
] = /* @__PURE__ */ zr();
function As(e, t) {
  const s = t ? e ? kr : Yr : e ? Xr : qr;
  return (n, r, o) => r === "__v_isReactive" ? !e : r === "__v_isReadonly" ? e : r === "__v_raw" ? n : Reflect.get(
    I(s, r) && r in n ? s : n,
    r,
    o
  );
}
const Zr = {
  get: /* @__PURE__ */ As(!1, !1)
}, Qr = {
  get: /* @__PURE__ */ As(!1, !0)
}, eo = {
  get: /* @__PURE__ */ As(!0, !1)
}, Vn = /* @__PURE__ */ new WeakMap(), Bn = /* @__PURE__ */ new WeakMap(), $n = /* @__PURE__ */ new WeakMap(), to = /* @__PURE__ */ new WeakMap();
function so(e) {
  switch (e) {
    case "Object":
    case "Array":
      return 1;
    case "Map":
    case "Set":
    case "WeakMap":
    case "WeakSet":
      return 2;
    default:
      return 0;
  }
}
function no(e) {
  return e.__v_skip || !Object.isExtensible(e) ? 0 : so(Or(e));
}
function ws(e) {
  return it(e) ? e : vs(
    e,
    !1,
    Wr,
    Zr,
    Vn
  );
}
function ro(e) {
  return vs(
    e,
    !1,
    Jr,
    Qr,
    Bn
  );
}
function Kn(e) {
  return vs(
    e,
    !0,
    Gr,
    eo,
    $n
  );
}
function vs(e, t, s, n, r) {
  if (!B(e) || e.__v_raw && !(t && e.__v_isReactive))
    return e;
  const o = r.get(e);
  if (o)
    return o;
  const l = no(e);
  if (l === 0)
    return e;
  const f = new Proxy(
    e,
    l === 2 ? n : s
  );
  return r.set(e, f), f;
}
function ze(e) {
  return it(e) ? ze(e.__v_raw) : !!(e && e.__v_isReactive);
}
function it(e) {
  return !!(e && e.__v_isReadonly);
}
function ls(e) {
  return !!(e && e.__v_isShallow);
}
function Wn(e) {
  return ze(e) || it(e);
}
function N(e) {
  const t = e && e.__v_raw;
  return t ? N(t) : e;
}
function Gn(e) {
  return Object.isExtensible(e) && wt(e, "__v_skip", !0), e;
}
const Rs = (e) => B(e) ? ws(e) : e, Ts = (e) => B(e) ? Kn(e) : e;
class Jn {
  constructor(t, s, n, r) {
    this._setter = s, this.dep = void 0, this.__v_isRef = !0, this.__v_isReadonly = !1, this.effect = new Ps(
      () => t(this._value),
      () => Xt(
        this,
        this.effect._dirtyLevel === 2 ? 2 : 3
      )
    ), this.effect.computed = this, this.effect.active = this._cacheable = !r, this.__v_isReadonly = n;
  }
  get value() {
    const t = N(this);
    return (!t._cacheable || t.effect.dirty) && Be(t._value, t._value = t.effect.run()) && Xt(t, 4), io(t), t.effect._dirtyLevel >= 2 && Xt(t, 2), t._value;
  }
  set value(t) {
    this._setter(t);
  }
  // #region polyfill _dirty for backward compatibility third party code for Vue <= 3.3.x
  get _dirty() {
    return this.effect.dirty;
  }
  set _dirty(t) {
    this.effect.dirty = t;
  }
  // #endregion
}
function oo(e, t, s = !1) {
  let n, r;
  const o = R(e);
  return o ? (n = e, r = ne) : (n = e.get, r = e.set), new Jn(n, r, o || !r, s);
}
function io(e) {
  var t;
  Re && He && (e = N(e), Fn(
    He,
    (t = e.dep) != null ? t : e.dep = Ln(
      () => e.dep = void 0,
      e instanceof Jn ? e : void 0
    )
  ));
}
function Xt(e, t = 4, s) {
  e = N(e);
  const n = e.dep;
  n && Dn(
    n,
    t
  );
}
function te(e) {
  return !!(e && e.__v_isRef === !0);
}
function lo(e) {
  return te(e) ? e.value : e;
}
const co = {
  get: (e, t, s) => lo(Reflect.get(e, t, s)),
  set: (e, t, s, n) => {
    const r = e[t];
    return te(r) && !te(s) ? (r.value = s, !0) : Reflect.set(e, t, s, n);
  }
};
function zn(e) {
  return ze(e) ? e : new Proxy(e, co);
}
var tt = { ALLUSERSPROFILE: "C:\\ProgramData", APPDATA: "C:\\Users\\carla\\AppData\\Roaming", BRB: "C:\\Program Files\\HP\\Sure Click\\bin", BRS: "C:\\Program Files\\HP\\Sure Click\\servers", CHROME_CRASHPAD_PIPE_NAME: "\\\\.\\pipe\\crashpad_6660_XQWSABYKBBCHXJNC", COLOR: "1", COLORTERM: "truecolor", CommonProgramFiles: "C:\\Program Files\\Common Files", "CommonProgramFiles(x86)": "C:\\Program Files (x86)\\Common Files", CommonProgramW6432: "C:\\Program Files\\Common Files", COMPUTERNAME: "DESKTOP-8O5GB4P", ComSpec: "C:\\WINDOWS\\system32\\cmd.exe", DriverData: "C:\\Windows\\System32\\Drivers\\DriverData", EDITOR: "C:\\WINDOWS\\notepad.exe", FPS_BROWSER_APP_PROFILE_STRING: "Internet Explorer", FPS_BROWSER_USER_PROFILE_STRING: "Default", GIT_ASKPASS: "c:\\Users\\carla\\AppData\\Local\\Programs\\Microsoft VS Code\\resources\\app\\extensions\\git\\dist\\askpass.sh", GOPATH: "C:\\Users\\carla\\go", HOME: "C:\\Users\\carla", HOMEDRIVE: "C:", HOMEPATH: "\\Users\\carla", INIT_CWD: "C:\\Users\\carla\\Documents\\dev\\build-npm-packages\\vuejs-example", JAVA_HOME: "C:\\Users\\carla\\AppData\\Local\\Programs\\AdoptOpenJDK\\jdk-11.0.8.10-hotspot\\", LANG: "en_US.UTF-8", LOCALAPPDATA: "C:\\Users\\carla\\AppData\\Local", LOGONSERVER: "\\\\DESKTOP-8O5GB4P", MAVEN_HOME: "C:\\Users\\carla\\Documents\\apache-maven-3.6.3", NODE: "C:\\Program Files\\nodejs\\node.exe", NODE_ENV: "production", NODE_EXE: "C:\\Program Files\\nodejs\\\\node.exe", NPM_CLI_JS: "C:\\Program Files\\nodejs\\\\node_modules\\npm\\bin\\npm-cli.js", npm_command: "run-script", npm_config_cache: "C:\\Users\\carla\\AppData\\Local\\npm-cache", npm_config_globalconfig: "C:\\Users\\carla\\AppData\\Roaming\\npm\\etc\\npmrc", npm_config_global_prefix: "C:\\Users\\carla\\AppData\\Roaming\\npm", npm_config_init_module: "C:\\Users\\carla\\.npm-init.js", npm_config_local_prefix: "C:\\Users\\carla\\Documents\\dev\\build-npm-packages\\vuejs-example", npm_config_metrics_registry: "https://registry.npmjs.org/", npm_config_node_gyp: "C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js", npm_config_noproxy: "", npm_config_prefix: "C:\\Users\\carla\\AppData\\Roaming\\npm", npm_config_userconfig: "C:\\Users\\carla\\.npmrc", npm_config_user_agent: "npm/9.5.1 node/v18.16.1 win32 x64 workspaces/false", npm_execpath: "C:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js", npm_lifecycle_event: "package", npm_lifecycle_script: "vue-tsc --noEmit && vite build", npm_node_execpath: "C:\\Program Files\\nodejs\\node.exe", npm_package_json: "C:\\Users\\carla\\Documents\\dev\\build-npm-packages\\vuejs-example\\package.json", npm_package_name: "vuejs-example-cca-test", npm_package_version: "0.0.7", NPM_PREFIX_NPM_CLI_JS: "C:\\Users\\carla\\AppData\\Roaming\\npm\\node_modules\\npm\\bin\\npm-cli.js", NUMBER_OF_PROCESSORS: "8", OneDrive: "C:\\Users\\carla\\OneDrive", OneDriveConsumer: "C:\\Users\\carla\\OneDrive", OnlineServices: "Online Services", ORIGINAL_XDG_CURRENT_DESKTOP: "undefined", OS: "Windows_NT", PATH: "C:\\Users\\carla\\Documents\\dev\\build-npm-packages\\vuejs-example\\node_modules\\.bin;C:\\Users\\carla\\Documents\\dev\\build-npm-packages\\node_modules\\.bin;C:\\Users\\carla\\Documents\\dev\\node_modules\\.bin;C:\\Users\\carla\\Documents\\node_modules\\.bin;C:\\Users\\carla\\node_modules\\.bin;C:\\Users\\node_modules\\.bin;C:\\node_modules\\.bin;C:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\@npmcli\\run-script\\lib\\node-gyp-bin;C:\\Users\\carla\\dagger\\dagger.exe;C:\\Program Files\\Go\\bin;C:\\Program Files\\nodejs\\;C:\\Program Files\\Git\\cmd;C:\\Users\\carla\\AppData\\Local\\Programs\\AdoptOpenJDK\\jdk-11.0.8.10-hotspot\\bin;C:\\Users\\carla\\AppData\\Local\\Microsoft\\WindowsApps;C:\\Users\\carla\\AppData\\Local\\Programs\\Microsoft VS Code\\bin;C:\\Users\\carla\\go\\bin;C:\\Users\\carla\\AppData\\Roaming\\npm", PATHEXT: ".COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC;.CPL", platformcode: "AN", PROCESSOR_ARCHITECTURE: "AMD64", PROCESSOR_IDENTIFIER: "Intel64 Family 6 Model 142 Stepping 11, GenuineIntel", PROCESSOR_LEVEL: "6", PROCESSOR_REVISION: "8e0b", ProgramData: "C:\\ProgramData", ProgramFiles: "C:\\Program Files", "ProgramFiles(x86)": "C:\\Program Files (x86)", ProgramW6432: "C:\\Program Files", PROMPT: "$P$G", PSModulePath: "C:\\Users\\carla\\Documents\\WindowsPowerShell\\Modules;C:\\Program Files\\WindowsPowerShell\\Modules;C:\\WINDOWS\\system32\\WindowsPowerShell\\v1.0\\Modules", PTSMINSTALLPATH: "c:\\Program Files\\HP\\HP ProtectTools Security Manager\\Bin\\", PTSMINSTALLPATH_X86: "c:\\Program Files (x86)\\HP\\HP ProtectTools Security Manager\\Bin\\", PUBLIC: "C:\\Users\\Public", RegionCode: "EMEA", SESSIONNAME: "Console", SystemDrive: "C:", SystemRoot: "C:\\WINDOWS", TEMP: "C:\\Users\\carla\\AppData\\Local\\Temp", TERM_PROGRAM: "vscode", TERM_PROGRAM_VERSION: "1.86.0", TMP: "C:\\Users\\carla\\AppData\\Local\\Temp", USERDOMAIN: "DESKTOP-8O5GB4P", USERDOMAIN_ROAMINGPROFILE: "DESKTOP-8O5GB4P", USERNAME: "carla", USERPROFILE: "C:\\Users\\carla", VSCODE_GIT_ASKPASS_EXTRA_ARGS: "", VSCODE_GIT_ASKPASS_MAIN: "c:\\Users\\carla\\AppData\\Local\\Programs\\Microsoft VS Code\\resources\\app\\extensions\\git\\dist\\askpass-main.js", VSCODE_GIT_ASKPASS_NODE: "C:\\Users\\carla\\AppData\\Local\\Programs\\Microsoft VS Code\\Code.exe", VSCODE_GIT_IPC_HANDLE: "\\\\.\\pipe\\vscode-git-501bd2e2bd-sock", VSCODE_INJECTION: "1", windir: "C:\\WINDOWS", ZES_ENABLE_SYSMAN: "1" };
const st = [];
function fo(e, ...t) {
  Ie();
  const s = st.length ? st[st.length - 1].component : null, n = s && s.appContext.config.warnHandler, r = uo();
  if (n)
    ye(
      n,
      s,
      11,
      [
        e + t.join(""),
        s && s.proxy,
        r.map(
          ({ vnode: o }) => `at <${Er(s, o.type)}>`
        ).join(`
`),
        r
      ]
    );
  else {
    const o = [`[Vue warn]: ${e}`, ...t];
    r.length && o.push(`
`, ...ao(r)), console.warn(...o);
  }
  Me();
}
function uo() {
  let e = st[st.length - 1];
  if (!e)
    return [];
  const t = [];
  for (; e; ) {
    const s = t[0];
    s && s.vnode === e ? s.recurseCount++ : t.push({
      vnode: e,
      recurseCount: 0
    });
    const n = e.component && e.component.parent;
    e = n && n.vnode;
  }
  return t;
}
function ao(e) {
  const t = [];
  return e.forEach((s, n) => {
    t.push(...n === 0 ? [] : [`
`], ...ho(s));
  }), t;
}
function ho({ vnode: e, recurseCount: t }) {
  const s = t > 0 ? `... (${t} recursive calls)` : "", n = e.component ? e.component.parent == null : !1, r = ` at <${Er(
    e.component,
    e.type,
    n
  )}`, o = ">" + s;
  return e.props ? [r, ...po(e.props), o] : [r + o];
}
function po(e) {
  const t = [], s = Object.keys(e);
  return s.slice(0, 3).forEach((n) => {
    t.push(...qn(n, e[n]));
  }), s.length > 3 && t.push(" ..."), t;
}
function qn(e, t, s) {
  return G(t) ? (t = JSON.stringify(t), s ? t : [`${e}=${t}`]) : typeof t == "number" || typeof t == "boolean" || t == null ? s ? t : [`${e}=${t}`] : te(t) ? (t = qn(e, N(t.value), !0), s ? t : [`${e}=Ref<`, t, ">"]) : R(t) ? [`${e}=fn${t.name ? `<${t.name}>` : ""}`] : (t = N(t), s ? t : [`${e}=`, t]);
}
function ye(e, t, s, n) {
  let r;
  try {
    r = n ? e(...n) : e();
  } catch (o) {
    Dt(o, t, s);
  }
  return r;
}
function ae(e, t, s, n) {
  if (R(e)) {
    const o = ye(e, t, s, n);
    return o && On(o) && o.catch((l) => {
      Dt(l, t, s);
    }), o;
  }
  const r = [];
  for (let o = 0; o < e.length; o++)
    r.push(ae(e[o], t, s, n));
  return r;
}
function Dt(e, t, s, n = !0) {
  const r = t ? t.vnode : null;
  if (t) {
    let o = t.parent;
    const l = t.proxy, f = `https://vuejs.org/error-reference/#runtime-${s}`;
    for (; o; ) {
      const d = o.ec;
      if (d) {
        for (let h = 0; h < d.length; h++)
          if (d[h](e, l, f) === !1)
            return;
      }
      o = o.parent;
    }
    const u = t.appContext.config.errorHandler;
    if (u) {
      ye(
        u,
        null,
        10,
        [e, l, f]
      );
      return;
    }
  }
  _o(e, s, r, n);
}
function _o(e, t, s, n = !0) {
  console.error(e);
}
let lt = !1, cs = !1;
const Y = [];
let me = 0;
const qe = [];
let Ae = null, je = 0;
const Xn = /* @__PURE__ */ Promise.resolve();
let Is = null;
function Yn(e) {
  const t = Is || Xn;
  return e ? t.then(this ? e.bind(this) : e) : t;
}
function go(e) {
  let t = me + 1, s = Y.length;
  for (; t < s; ) {
    const n = t + s >>> 1, r = Y[n], o = ct(r);
    o < e || o === e && r.pre ? t = n + 1 : s = n;
  }
  return t;
}
function Ms(e) {
  (!Y.length || !Y.includes(
    e,
    lt && e.allowRecurse ? me + 1 : me
  )) && (e.id == null ? Y.push(e) : Y.splice(go(e.id), 0, e), kn());
}
function kn() {
  !lt && !cs && (cs = !0, Is = Xn.then(Qn));
}
function mo(e) {
  const t = Y.indexOf(e);
  t > me && Y.splice(t, 1);
}
function bo(e) {
  w(e) ? qe.push(...e) : (!Ae || !Ae.includes(
    e,
    e.allowRecurse ? je + 1 : je
  )) && qe.push(e), kn();
}
function Qs(e, t, s = lt ? me + 1 : 0) {
  for (; s < Y.length; s++) {
    const n = Y[s];
    if (n && n.pre) {
      if (e && n.id !== e.uid)
        continue;
      Y.splice(s, 1), s--, n();
    }
  }
}
function Zn(e) {
  if (qe.length) {
    const t = [...new Set(qe)].sort(
      (s, n) => ct(s) - ct(n)
    );
    if (qe.length = 0, Ae) {
      Ae.push(...t);
      return;
    }
    for (Ae = t, je = 0; je < Ae.length; je++)
      Ae[je]();
    Ae = null, je = 0;
  }
}
const ct = (e) => e.id == null ? 1 / 0 : e.id, Co = (e, t) => {
  const s = ct(e) - ct(t);
  if (s === 0) {
    if (e.pre && !t.pre)
      return -1;
    if (t.pre && !e.pre)
      return 1;
  }
  return s;
};
function Qn(e) {
  cs = !1, lt = !0, Y.sort(Co);
  const t = ne;
  try {
    for (me = 0; me < Y.length; me++) {
      const s = Y[me];
      s && s.active !== !1 && (tt.NODE_ENV !== "production" && t(s), ye(s, null, 14));
    }
  } finally {
    me = 0, Y.length = 0, Zn(), lt = !1, Is = null, (Y.length || qe.length) && Qn();
  }
}
function Eo(e, t, ...s) {
  if (e.isUnmounted)
    return;
  const n = e.vnode.props || H;
  let r = s;
  const o = t.startsWith("update:"), l = o && t.slice(7);
  if (l && l in n) {
    const h = `${l === "modelValue" ? "model" : l}Modifiers`, { number: x, trim: y } = n[h] || H;
    y && (r = s.map((v) => G(v) ? v.trim() : v)), x && (r = s.map(vr));
  }
  let f, u = n[f = Jt(t)] || // also try camelCase event handler (#2249)
  n[f = Jt(xe(t))];
  !u && o && (u = n[f = Jt(fe(t))]), u && ae(
    u,
    e,
    6,
    r
  );
  const d = n[f + "Once"];
  if (d) {
    if (!e.emitted)
      e.emitted = {};
    else if (e.emitted[f])
      return;
    e.emitted[f] = !0, ae(
      d,
      e,
      6,
      r
    );
  }
}
function er(e, t, s = !1) {
  const n = t.emitsCache, r = n.get(e);
  if (r !== void 0)
    return r;
  const o = e.emits;
  let l = {}, f = !1;
  if (!R(e)) {
    const u = (d) => {
      const h = er(d, t, !0);
      h && (f = !0, q(l, h));
    };
    !s && t.mixins.length && t.mixins.forEach(u), e.extends && u(e.extends), e.mixins && e.mixins.forEach(u);
  }
  return !o && !f ? (B(e) && n.set(e, null), null) : (w(o) ? o.forEach((u) => l[u] = null) : q(l, o), B(e) && n.set(e, l), l);
}
function Lt(e, t) {
  return !e || !It(t) ? !1 : (t = t.slice(2).replace(/Once$/, ""), I(e, t[0].toLowerCase() + t.slice(1)) || I(e, fe(t)) || I(e, t));
}
let be = null, tr = null;
function vt(e) {
  const t = be;
  return be = e, tr = e && e.type.__scopeId || null, t;
}
function xo(e, t = be, s) {
  if (!t || e._n)
    return e;
  const n = (...r) => {
    n._d && un(-1);
    const o = vt(t);
    let l;
    try {
      l = e(...r);
    } finally {
      vt(o), n._d && un(1);
    }
    return l;
  };
  return n._n = !0, n._c = !0, n._d = !0, n;
}
function Yt(e) {
  const {
    type: t,
    vnode: s,
    proxy: n,
    withProxy: r,
    props: o,
    propsOptions: [l],
    slots: f,
    attrs: u,
    emit: d,
    render: h,
    renderCache: x,
    data: y,
    setupState: v,
    ctx: $,
    inheritAttrs: F
  } = e;
  let J, K;
  const de = vt(e);
  try {
    if (s.shapeFlag & 4) {
      const W = r || n, re = tt.NODE_ENV !== "production" && v.__isScriptSetup ? new Proxy(W, {
        get(M, oe, ie) {
          return fo(
            `Property '${String(
              oe
            )}' was accessed via 'this'. Avoid using 'this' in templates.`
          ), Reflect.get(M, oe, ie);
        }
      }) : W;
      J = ge(
        h.call(
          re,
          W,
          x,
          o,
          v,
          y,
          $
        )
      ), K = u;
    } else {
      const W = t;
      tt.NODE_ENV, J = ge(
        W.length > 1 ? W(
          o,
          tt.NODE_ENV !== "production" ? {
            get attrs() {
              return u;
            },
            slots: f,
            emit: d
          } : { attrs: u, slots: f, emit: d }
        ) : W(
          o,
          null
          /* we know it doesn't need it */
        )
      ), K = t.props ? u : Po(u);
    }
  } catch (W) {
    ot.length = 0, Dt(W, e, 1), J = Te(ft);
  }
  let L = J;
  if (K && F !== !1) {
    const W = Object.keys(K), { shapeFlag: re } = L;
    W.length && re & 7 && (l && W.some(ms) && (K = yo(
      K,
      l
    )), L = Xe(L, K));
  }
  return s.dirs && (L = Xe(L), L.dirs = L.dirs ? L.dirs.concat(s.dirs) : s.dirs), s.transition && (L.transition = s.transition), J = L, vt(de), J;
}
const Po = (e) => {
  let t;
  for (const s in e)
    (s === "class" || s === "style" || It(s)) && ((t || (t = {}))[s] = e[s]);
  return t;
}, yo = (e, t) => {
  const s = {};
  for (const n in e)
    (!ms(n) || !(n.slice(9) in t)) && (s[n] = e[n]);
  return s;
};
function So(e, t, s) {
  const { props: n, children: r, component: o } = e, { props: l, children: f, patchFlag: u } = t, d = o.emitsOptions;
  if (t.dirs || t.transition)
    return !0;
  if (s && u >= 0) {
    if (u & 1024)
      return !0;
    if (u & 16)
      return n ? en(n, l, d) : !!l;
    if (u & 8) {
      const h = t.dynamicProps;
      for (let x = 0; x < h.length; x++) {
        const y = h[x];
        if (l[y] !== n[y] && !Lt(d, y))
          return !0;
      }
    }
  } else
    return (r || f) && (!f || !f.$stable) ? !0 : n === l ? !1 : n ? l ? en(n, l, d) : !0 : !!l;
  return !1;
}
function en(e, t, s) {
  const n = Object.keys(t);
  if (n.length !== Object.keys(e).length)
    return !0;
  for (let r = 0; r < n.length; r++) {
    const o = n[r];
    if (t[o] !== e[o] && !Lt(s, o))
      return !0;
  }
  return !1;
}
function Oo({ vnode: e, parent: t }, s) {
  for (; t; ) {
    const n = t.subTree;
    if (n.suspense && n.suspense.activeBranch === e && (n.el = e.el), n === e)
      (e = t.vnode).el = s, t = t.parent;
    else
      break;
  }
}
const Ao = Symbol.for("v-ndc"), wo = (e) => e.__isSuspense;
function vo(e, t) {
  t && t.pendingBranch ? w(e) ? t.effects.push(...e) : t.effects.push(e) : bo(e);
}
const Ro = Symbol.for("v-scx"), To = () => Ot(Ro), Pt = {};
function kt(e, t, s) {
  return sr(e, t, s);
}
function sr(e, t, {
  immediate: s,
  deep: n,
  flush: r,
  once: o,
  onTrack: l,
  onTrigger: f
} = H) {
  if (t && o) {
    const M = t;
    t = (...oe) => {
      M(...oe), re();
    };
  }
  const u = X, d = (M) => n === !0 ? M : (
    // for deep: false, only traverse root-level properties
    We(M, n === !1 ? 1 : void 0)
  );
  let h, x = !1, y = !1;
  if (te(e) ? (h = () => e.value, x = ls(e)) : ze(e) ? (h = () => d(e), x = !0) : w(e) ? (y = !0, x = e.some((M) => ze(M) || ls(M)), h = () => e.map((M) => {
    if (te(M))
      return M.value;
    if (ze(M))
      return d(M);
    if (R(M))
      return ye(M, u, 2);
  })) : R(e) ? t ? h = () => ye(e, u, 2) : h = () => (v && v(), ae(
    e,
    u,
    3,
    [$]
  )) : h = ne, t && n) {
    const M = h;
    h = () => We(M());
  }
  let v, $ = (M) => {
    v = L.onStop = () => {
      ye(M, u, 4), v = L.onStop = void 0;
    };
  }, F;
  if (Vt)
    if ($ = ne, t ? s && ae(t, u, 3, [
      h(),
      y ? [] : void 0,
      $
    ]) : h(), r === "sync") {
      const M = To();
      F = M.__watcherHandles || (M.__watcherHandles = []);
    } else
      return ne;
  let J = y ? new Array(e.length).fill(Pt) : Pt;
  const K = () => {
    if (!(!L.active || !L.dirty))
      if (t) {
        const M = L.run();
        (n || x || (y ? M.some((oe, ie) => Be(oe, J[ie])) : Be(M, J))) && (v && v(), ae(t, u, 3, [
          M,
          // pass undefined as the old value when it's changed for the first time
          J === Pt ? void 0 : y && J[0] === Pt ? [] : J,
          $
        ]), J = M);
      } else
        L.run();
  };
  K.allowRecurse = !!t;
  let de;
  r === "sync" ? de = K : r === "post" ? de = () => Q(K, u && u.suspense) : (K.pre = !0, u && (K.id = u.uid), de = () => Ms(K));
  const L = new Ps(h, ne, de), W = jr(), re = () => {
    L.stop(), W && bs(W.effects, L);
  };
  return t ? s ? K() : J = L.run() : r === "post" ? Q(
    L.run.bind(L),
    u && u.suspense
  ) : L.run(), F && F.push(re), re;
}
function Io(e, t, s) {
  const n = this.proxy, r = G(e) ? e.includes(".") ? nr(n, e) : () => n[e] : e.bind(n, n);
  let o;
  R(t) ? o = t : (o = t.handler, s = t);
  const l = dt(this), f = sr(r, o.bind(n), s);
  return l(), f;
}
function nr(e, t) {
  const s = t.split(".");
  return () => {
    let n = e;
    for (let r = 0; r < s.length && n; r++)
      n = n[s[r]];
    return n;
  };
}
function We(e, t, s = 0, n) {
  if (!B(e) || e.__v_skip)
    return e;
  if (t && t > 0) {
    if (s >= t)
      return e;
    s++;
  }
  if (n = n || /* @__PURE__ */ new Set(), n.has(e))
    return e;
  if (n.add(e), te(e))
    We(e.value, t, s, n);
  else if (w(e))
    for (let r = 0; r < e.length; r++)
      We(e[r], t, s, n);
  else if (Sn(e) || Je(e))
    e.forEach((r) => {
      We(r, t, s, n);
    });
  else if (wn(e))
    for (const r in e)
      We(e[r], t, s, n);
  return e;
}
function Le(e, t, s, n) {
  const r = e.dirs, o = t && t.dirs;
  for (let l = 0; l < r.length; l++) {
    const f = r[l];
    o && (f.oldValue = o[l].value);
    let u = f.dir[n];
    u && (Ie(), ae(u, s, 8, [
      e.el,
      f,
      e,
      t
    ]), Me());
  }
}
/*! #__NO_SIDE_EFFECTS__ */
// @__NO_SIDE_EFFECTS__
function rr(e, t) {
  return R(e) ? (
    // #8326: extend call and options.name access are considered side-effects
    // by Rollup, so we have to wrap it in a pure-annotated IIFE.
    q({ name: e.name }, t, { setup: e })
  ) : e;
}
const St = (e) => !!e.type.__asyncLoader, or = (e) => e.type.__isKeepAlive;
function Mo(e, t) {
  ir(e, "a", t);
}
function No(e, t) {
  ir(e, "da", t);
}
function ir(e, t, s = X) {
  const n = e.__wdc || (e.__wdc = () => {
    let r = s;
    for (; r; ) {
      if (r.isDeactivated)
        return;
      r = r.parent;
    }
    return e();
  });
  if (Ut(t, n, s), s) {
    let r = s.parent;
    for (; r && r.parent; )
      or(r.parent.vnode) && Fo(n, t, s, r), r = r.parent;
  }
}
function Fo(e, t, s, n) {
  const r = Ut(
    t,
    e,
    n,
    !0
    /* prepend */
  );
  lr(() => {
    bs(n[t], r);
  }, s);
}
function Ut(e, t, s = X, n = !1) {
  if (s) {
    const r = s[e] || (s[e] = []), o = t.__weh || (t.__weh = (...l) => {
      if (s.isUnmounted)
        return;
      Ie();
      const f = dt(s), u = ae(t, s, e, l);
      return f(), Me(), u;
    });
    return n ? r.unshift(o) : r.push(o), o;
  }
}
const Se = (e) => (t, s = X) => (
  // post-create lifecycle registrations are noops during SSR (except for serverPrefetch)
  (!Vt || e === "sp") && Ut(e, (...n) => t(...n), s)
), Do = Se("bm"), Lo = Se("m"), Uo = Se("bu"), jo = Se("u"), Ho = Se("bum"), lr = Se("um"), Vo = Se("sp"), Bo = Se(
  "rtg"
), $o = Se(
  "rtc"
);
function Ko(e, t = X) {
  Ut("ec", e, t);
}
const fs = (e) => e ? br(e) ? Ls(e) || e.proxy : fs(e.parent) : null, nt = (
  // Move PURE marker to new line to workaround compiler discarding it
  // due to type annotation
  /* @__PURE__ */ q(/* @__PURE__ */ Object.create(null), {
    $: (e) => e,
    $el: (e) => e.vnode.el,
    $data: (e) => e.data,
    $props: (e) => e.props,
    $attrs: (e) => e.attrs,
    $slots: (e) => e.slots,
    $refs: (e) => e.refs,
    $parent: (e) => fs(e.parent),
    $root: (e) => fs(e.root),
    $emit: (e) => e.emit,
    $options: (e) => Ns(e),
    $forceUpdate: (e) => e.f || (e.f = () => {
      e.effect.dirty = !0, Ms(e.update);
    }),
    $nextTick: (e) => e.n || (e.n = Yn.bind(e.proxy)),
    $watch: (e) => Io.bind(e)
  })
), Zt = (e, t) => e !== H && !e.__isScriptSetup && I(e, t), Wo = {
  get({ _: e }, t) {
    const { ctx: s, setupState: n, data: r, props: o, accessCache: l, type: f, appContext: u } = e;
    let d;
    if (t[0] !== "$") {
      const v = l[t];
      if (v !== void 0)
        switch (v) {
          case 1:
            return n[t];
          case 2:
            return r[t];
          case 4:
            return s[t];
          case 3:
            return o[t];
        }
      else {
        if (Zt(n, t))
          return l[t] = 1, n[t];
        if (r !== H && I(r, t))
          return l[t] = 2, r[t];
        if (
          // only cache other properties when instance has declared (thus stable)
          // props
          (d = e.propsOptions[0]) && I(d, t)
        )
          return l[t] = 3, o[t];
        if (s !== H && I(s, t))
          return l[t] = 4, s[t];
        us && (l[t] = 0);
      }
    }
    const h = nt[t];
    let x, y;
    if (h)
      return t === "$attrs" && ee(e, "get", t), h(e);
    if (
      // css module (injected by vue-loader)
      (x = f.__cssModules) && (x = x[t])
    )
      return x;
    if (s !== H && I(s, t))
      return l[t] = 4, s[t];
    if (
      // global properties
      y = u.config.globalProperties, I(y, t)
    )
      return y[t];
  },
  set({ _: e }, t, s) {
    const { data: n, setupState: r, ctx: o } = e;
    return Zt(r, t) ? (r[t] = s, !0) : n !== H && I(n, t) ? (n[t] = s, !0) : I(e.props, t) || t[0] === "$" && t.slice(1) in e ? !1 : (o[t] = s, !0);
  },
  has({
    _: { data: e, setupState: t, accessCache: s, ctx: n, appContext: r, propsOptions: o }
  }, l) {
    let f;
    return !!s[l] || e !== H && I(e, l) || Zt(t, l) || (f = o[0]) && I(f, l) || I(n, l) || I(nt, l) || I(r.config.globalProperties, l);
  },
  defineProperty(e, t, s) {
    return s.get != null ? e._.accessCache[t] = 0 : I(s, "value") && this.set(e, t, s.value, null), Reflect.defineProperty(e, t, s);
  }
};
function tn(e) {
  return w(e) ? e.reduce(
    (t, s) => (t[s] = null, t),
    {}
  ) : e;
}
let us = !0;
function Go(e) {
  const t = Ns(e), s = e.proxy, n = e.ctx;
  us = !1, t.beforeCreate && sn(t.beforeCreate, e, "bc");
  const {
    // state
    data: r,
    computed: o,
    methods: l,
    watch: f,
    provide: u,
    inject: d,
    // lifecycle
    created: h,
    beforeMount: x,
    mounted: y,
    beforeUpdate: v,
    updated: $,
    activated: F,
    deactivated: J,
    beforeDestroy: K,
    beforeUnmount: de,
    destroyed: L,
    unmounted: W,
    render: re,
    renderTracked: M,
    renderTriggered: oe,
    errorCaptured: ie,
    serverPrefetch: Bt,
    // public API
    expose: Ne,
    inheritAttrs: ke,
    // assets
    components: ht,
    directives: pt,
    filters: $t
  } = t;
  if (d && Jo(d, n, null), l)
    for (const V in l) {
      const U = l[V];
      R(U) && (n[V] = U.bind(s));
    }
  if (r) {
    const V = r.call(s, s);
    B(V) && (e.data = ws(V));
  }
  if (us = !0, o)
    for (const V in o) {
      const U = o[V], Fe = R(U) ? U.bind(s, s) : R(U.get) ? U.get.bind(s, s) : ne, _t = !R(U) && R(U.set) ? U.set.bind(s) : ne, De = Ri({
        get: Fe,
        set: _t
      });
      Object.defineProperty(n, V, {
        enumerable: !0,
        configurable: !0,
        get: () => De.value,
        set: (he) => De.value = he
      });
    }
  if (f)
    for (const V in f)
      cr(f[V], n, s, V);
  if (u) {
    const V = R(u) ? u.call(s) : u;
    Reflect.ownKeys(V).forEach((U) => {
      Zo(U, V[U]);
    });
  }
  h && sn(h, e, "c");
  function k(V, U) {
    w(U) ? U.forEach((Fe) => V(Fe.bind(s))) : U && V(U.bind(s));
  }
  if (k(Do, x), k(Lo, y), k(Uo, v), k(jo, $), k(Mo, F), k(No, J), k(Ko, ie), k($o, M), k(Bo, oe), k(Ho, de), k(lr, W), k(Vo, Bt), w(Ne))
    if (Ne.length) {
      const V = e.exposed || (e.exposed = {});
      Ne.forEach((U) => {
        Object.defineProperty(V, U, {
          get: () => s[U],
          set: (Fe) => s[U] = Fe
        });
      });
    } else
      e.exposed || (e.exposed = {});
  re && e.render === ne && (e.render = re), ke != null && (e.inheritAttrs = ke), ht && (e.components = ht), pt && (e.directives = pt);
}
function Jo(e, t, s = ne) {
  w(e) && (e = as(e));
  for (const n in e) {
    const r = e[n];
    let o;
    B(r) ? "default" in r ? o = Ot(
      r.from || n,
      r.default,
      !0
    ) : o = Ot(r.from || n) : o = Ot(r), te(o) ? Object.defineProperty(t, n, {
      enumerable: !0,
      configurable: !0,
      get: () => o.value,
      set: (l) => o.value = l
    }) : t[n] = o;
  }
}
function sn(e, t, s) {
  ae(
    w(e) ? e.map((n) => n.bind(t.proxy)) : e.bind(t.proxy),
    t,
    s
  );
}
function cr(e, t, s, n) {
  const r = n.includes(".") ? nr(s, n) : () => s[n];
  if (G(e)) {
    const o = t[e];
    R(o) && kt(r, o);
  } else if (R(e))
    kt(r, e.bind(s));
  else if (B(e))
    if (w(e))
      e.forEach((o) => cr(o, t, s, n));
    else {
      const o = R(e.handler) ? e.handler.bind(s) : t[e.handler];
      R(o) && kt(r, o, e);
    }
}
function Ns(e) {
  const t = e.type, { mixins: s, extends: n } = t, {
    mixins: r,
    optionsCache: o,
    config: { optionMergeStrategies: l }
  } = e.appContext, f = o.get(t);
  let u;
  return f ? u = f : !r.length && !s && !n ? u = t : (u = {}, r.length && r.forEach(
    (d) => Rt(u, d, l, !0)
  ), Rt(u, t, l)), B(t) && o.set(t, u), u;
}
function Rt(e, t, s, n = !1) {
  const { mixins: r, extends: o } = t;
  o && Rt(e, o, s, !0), r && r.forEach(
    (l) => Rt(e, l, s, !0)
  );
  for (const l in t)
    if (!(n && l === "expose")) {
      const f = zo[l] || s && s[l];
      e[l] = f ? f(e[l], t[l]) : t[l];
    }
  return e;
}
const zo = {
  data: nn,
  props: rn,
  emits: rn,
  // objects
  methods: et,
  computed: et,
  // lifecycle
  beforeCreate: Z,
  created: Z,
  beforeMount: Z,
  mounted: Z,
  beforeUpdate: Z,
  updated: Z,
  beforeDestroy: Z,
  beforeUnmount: Z,
  destroyed: Z,
  unmounted: Z,
  activated: Z,
  deactivated: Z,
  errorCaptured: Z,
  serverPrefetch: Z,
  // assets
  components: et,
  directives: et,
  // watch
  watch: Xo,
  // provide / inject
  provide: nn,
  inject: qo
};
function nn(e, t) {
  return t ? e ? function() {
    return q(
      R(e) ? e.call(this, this) : e,
      R(t) ? t.call(this, this) : t
    );
  } : t : e;
}
function qo(e, t) {
  return et(as(e), as(t));
}
function as(e) {
  if (w(e)) {
    const t = {};
    for (let s = 0; s < e.length; s++)
      t[e[s]] = e[s];
    return t;
  }
  return e;
}
function Z(e, t) {
  return e ? [...new Set([].concat(e, t))] : t;
}
function et(e, t) {
  return e ? q(/* @__PURE__ */ Object.create(null), e, t) : t;
}
function rn(e, t) {
  return e ? w(e) && w(t) ? [.../* @__PURE__ */ new Set([...e, ...t])] : q(
    /* @__PURE__ */ Object.create(null),
    tn(e),
    tn(t ?? {})
  ) : t;
}
function Xo(e, t) {
  if (!e)
    return t;
  if (!t)
    return e;
  const s = q(/* @__PURE__ */ Object.create(null), e);
  for (const n in t)
    s[n] = Z(e[n], t[n]);
  return s;
}
function fr() {
  return {
    app: null,
    config: {
      isNativeTag: yr,
      performance: !1,
      globalProperties: {},
      optionMergeStrategies: {},
      errorHandler: void 0,
      warnHandler: void 0,
      compilerOptions: {}
    },
    mixins: [],
    components: {},
    directives: {},
    provides: /* @__PURE__ */ Object.create(null),
    optionsCache: /* @__PURE__ */ new WeakMap(),
    propsCache: /* @__PURE__ */ new WeakMap(),
    emitsCache: /* @__PURE__ */ new WeakMap()
  };
}
let Yo = 0;
function ko(e, t) {
  return function(n, r = null) {
    R(n) || (n = q({}, n)), r != null && !B(r) && (r = null);
    const o = fr(), l = /* @__PURE__ */ new WeakSet();
    let f = !1;
    const u = o.app = {
      _uid: Yo++,
      _component: n,
      _props: r,
      _container: null,
      _context: o,
      _instance: null,
      version: Ti,
      get config() {
        return o.config;
      },
      set config(d) {
      },
      use(d, ...h) {
        return l.has(d) || (d && R(d.install) ? (l.add(d), d.install(u, ...h)) : R(d) && (l.add(d), d(u, ...h))), u;
      },
      mixin(d) {
        return o.mixins.includes(d) || o.mixins.push(d), u;
      },
      component(d, h) {
        return h ? (o.components[d] = h, u) : o.components[d];
      },
      directive(d, h) {
        return h ? (o.directives[d] = h, u) : o.directives[d];
      },
      mount(d, h, x) {
        if (!f) {
          const y = Te(n, r);
          return y.appContext = o, x === !0 ? x = "svg" : x === !1 && (x = void 0), h && t ? t(y, d) : e(y, d, x), f = !0, u._container = d, d.__vue_app__ = u, Ls(y.component) || y.component.proxy;
        }
      },
      unmount() {
        f && (e(null, u._container), delete u._container.__vue_app__);
      },
      provide(d, h) {
        return o.provides[d] = h, u;
      },
      runWithContext(d) {
        const h = rt;
        rt = u;
        try {
          return d();
        } finally {
          rt = h;
        }
      }
    };
    return u;
  };
}
let rt = null;
function Zo(e, t) {
  if (X) {
    let s = X.provides;
    const n = X.parent && X.parent.provides;
    n === s && (s = X.provides = Object.create(n)), s[e] = t;
  }
}
function Ot(e, t, s = !1) {
  const n = X || be;
  if (n || rt) {
    const r = n ? n.parent == null ? n.vnode.appContext && n.vnode.appContext.provides : n.parent.provides : rt._context.provides;
    if (r && e in r)
      return r[e];
    if (arguments.length > 1)
      return s && R(t) ? t.call(n && n.proxy) : t;
  }
}
function Qo(e, t, s, n = !1) {
  const r = {}, o = {};
  wt(o, Ht, 1), e.propsDefaults = /* @__PURE__ */ Object.create(null), ur(e, t, r, o);
  for (const l in e.propsOptions[0])
    l in r || (r[l] = void 0);
  s ? e.props = n ? r : ro(r) : e.type.props ? e.props = r : e.props = o, e.attrs = o;
}
function ei(e, t, s, n) {
  const {
    props: r,
    attrs: o,
    vnode: { patchFlag: l }
  } = e, f = N(r), [u] = e.propsOptions;
  let d = !1;
  if (
    // always force full diff in dev
    // - #1942 if hmr is enabled with sfc component
    // - vite#872 non-sfc component used by sfc component
    (n || l > 0) && !(l & 16)
  ) {
    if (l & 8) {
      const h = e.vnode.dynamicProps;
      for (let x = 0; x < h.length; x++) {
        let y = h[x];
        if (Lt(e.emitsOptions, y))
          continue;
        const v = t[y];
        if (u)
          if (I(o, y))
            v !== o[y] && (o[y] = v, d = !0);
          else {
            const $ = xe(y);
            r[$] = ds(
              u,
              f,
              $,
              v,
              e,
              !1
            );
          }
        else
          v !== o[y] && (o[y] = v, d = !0);
      }
    }
  } else {
    ur(e, t, r, o) && (d = !0);
    let h;
    for (const x in f)
      (!t || // for camelCase
      !I(t, x) && // it's possible the original props was passed in as kebab-case
      // and converted to camelCase (#955)
      ((h = fe(x)) === x || !I(t, h))) && (u ? s && // for camelCase
      (s[x] !== void 0 || // for kebab-case
      s[h] !== void 0) && (r[x] = ds(
        u,
        f,
        x,
        void 0,
        e,
        !0
      )) : delete r[x]);
    if (o !== f)
      for (const x in o)
        (!t || !I(t, x)) && (delete o[x], d = !0);
  }
  d && Pe(e, "set", "$attrs");
}
function ur(e, t, s, n) {
  const [r, o] = e.propsOptions;
  let l = !1, f;
  if (t)
    for (let u in t) {
      if (yt(u))
        continue;
      const d = t[u];
      let h;
      r && I(r, h = xe(u)) ? !o || !o.includes(h) ? s[h] = d : (f || (f = {}))[h] = d : Lt(e.emitsOptions, u) || (!(u in n) || d !== n[u]) && (n[u] = d, l = !0);
    }
  if (o) {
    const u = N(s), d = f || H;
    for (let h = 0; h < o.length; h++) {
      const x = o[h];
      s[x] = ds(
        r,
        u,
        x,
        d[x],
        e,
        !I(d, x)
      );
    }
  }
  return l;
}
function ds(e, t, s, n, r, o) {
  const l = e[s];
  if (l != null) {
    const f = I(l, "default");
    if (f && n === void 0) {
      const u = l.default;
      if (l.type !== Function && !l.skipFactory && R(u)) {
        const { propsDefaults: d } = r;
        if (s in d)
          n = d[s];
        else {
          const h = dt(r);
          n = d[s] = u.call(
            null,
            t
          ), h();
        }
      } else
        n = u;
    }
    l[
      0
      /* shouldCast */
    ] && (o && !f ? n = !1 : l[
      1
      /* shouldCastTrue */
    ] && (n === "" || n === fe(s)) && (n = !0));
  }
  return n;
}
function ar(e, t, s = !1) {
  const n = t.propsCache, r = n.get(e);
  if (r)
    return r;
  const o = e.props, l = {}, f = [];
  let u = !1;
  if (!R(e)) {
    const h = (x) => {
      u = !0;
      const [y, v] = ar(x, t, !0);
      q(l, y), v && f.push(...v);
    };
    !s && t.mixins.length && t.mixins.forEach(h), e.extends && h(e.extends), e.mixins && e.mixins.forEach(h);
  }
  if (!o && !u)
    return B(e) && n.set(e, Ge), Ge;
  if (w(o))
    for (let h = 0; h < o.length; h++) {
      const x = xe(o[h]);
      on(x) && (l[x] = H);
    }
  else if (o)
    for (const h in o) {
      const x = xe(h);
      if (on(x)) {
        const y = o[h], v = l[x] = w(y) || R(y) ? { type: y } : q({}, y);
        if (v) {
          const $ = fn(Boolean, v.type), F = fn(String, v.type);
          v[
            0
            /* shouldCast */
          ] = $ > -1, v[
            1
            /* shouldCastTrue */
          ] = F < 0 || $ < F, ($ > -1 || I(v, "default")) && f.push(x);
        }
      }
    }
  const d = [l, f];
  return B(e) && n.set(e, d), d;
}
function on(e) {
  return e[0] !== "$";
}
function ln(e) {
  const t = e && e.toString().match(/^\s*(function|class) (\w+)/);
  return t ? t[2] : e === null ? "null" : "";
}
function cn(e, t) {
  return ln(e) === ln(t);
}
function fn(e, t) {
  return w(t) ? t.findIndex((s) => cn(s, e)) : R(t) && cn(t, e) ? 0 : -1;
}
const dr = (e) => e[0] === "_" || e === "$stable", Fs = (e) => w(e) ? e.map(ge) : [ge(e)], ti = (e, t, s) => {
  if (t._n)
    return t;
  const n = xo((...r) => (tt.NODE_ENV !== "production" && X && (!s || (s.root, X.root)), Fs(t(...r))), s);
  return n._c = !1, n;
}, hr = (e, t, s) => {
  const n = e._ctx;
  for (const r in e) {
    if (dr(r))
      continue;
    const o = e[r];
    if (R(o))
      t[r] = ti(r, o, n);
    else if (o != null) {
      const l = Fs(o);
      t[r] = () => l;
    }
  }
}, pr = (e, t) => {
  const s = Fs(t);
  e.slots.default = () => s;
}, si = (e, t) => {
  if (e.vnode.shapeFlag & 32) {
    const s = t._;
    s ? (e.slots = N(t), wt(t, "_", s)) : hr(
      t,
      e.slots = {}
    );
  } else
    e.slots = {}, t && pr(e, t);
  wt(e.slots, Ht, 1);
}, ni = (e, t, s) => {
  const { vnode: n, slots: r } = e;
  let o = !0, l = H;
  if (n.shapeFlag & 32) {
    const f = t._;
    f ? s && f === 1 ? o = !1 : (q(r, t), !s && f === 1 && delete r._) : (o = !t.$stable, hr(t, r)), l = t;
  } else
    t && (pr(e, t), l = { default: 1 });
  if (o)
    for (const f in r)
      !dr(f) && l[f] == null && delete r[f];
};
function hs(e, t, s, n, r = !1) {
  if (w(e)) {
    e.forEach(
      (y, v) => hs(
        y,
        t && (w(t) ? t[v] : t),
        s,
        n,
        r
      )
    );
    return;
  }
  if (St(n) && !r)
    return;
  const o = n.shapeFlag & 4 ? Ls(n.component) || n.component.proxy : n.el, l = r ? null : o, { i: f, r: u } = e, d = t && t.r, h = f.refs === H ? f.refs = {} : f.refs, x = f.setupState;
  if (d != null && d !== u && (G(d) ? (h[d] = null, I(x, d) && (x[d] = null)) : te(d) && (d.value = null)), R(u))
    ye(u, f, 12, [l, h]);
  else {
    const y = G(u), v = te(u);
    if (y || v) {
      const $ = () => {
        if (e.f) {
          const F = y ? I(x, u) ? x[u] : h[u] : u.value;
          r ? w(F) && bs(F, o) : w(F) ? F.includes(o) || F.push(o) : y ? (h[u] = [o], I(x, u) && (x[u] = h[u])) : (u.value = [o], e.k && (h[e.k] = u.value));
        } else
          y ? (h[u] = l, I(x, u) && (x[u] = l)) : v && (u.value = l, e.k && (h[e.k] = l));
      };
      l ? ($.id = -1, Q($, s)) : $();
    }
  }
}
const Q = vo;
function ri(e) {
  return oi(e);
}
function oi(e, t) {
  const s = Rn();
  s.__VUE__ = !0;
  const {
    insert: n,
    remove: r,
    patchProp: o,
    createElement: l,
    createText: f,
    createComment: u,
    setText: d,
    setElementText: h,
    parentNode: x,
    nextSibling: y,
    setScopeId: v = ne,
    insertStaticContent: $
  } = e, F = (i, c, a, p = null, _ = null, b = null, E = void 0, m = null, C = !!c.dynamicChildren) => {
    if (i === c)
      return;
    i && !Qe(i, c) && (p = gt(i), he(i, _, b, !0), i = null), c.patchFlag === -2 && (C = !1, c.dynamicChildren = null);
    const { type: g, ref: P, shapeFlag: O } = c;
    switch (g) {
      case jt:
        J(i, c, a, p);
        break;
      case ft:
        K(i, c, a, p);
        break;
      case es:
        i == null && de(c, a, p, E);
        break;
      case Ee:
        ht(
          i,
          c,
          a,
          p,
          _,
          b,
          E,
          m,
          C
        );
        break;
      default:
        O & 1 ? re(
          i,
          c,
          a,
          p,
          _,
          b,
          E,
          m,
          C
        ) : O & 6 ? pt(
          i,
          c,
          a,
          p,
          _,
          b,
          E,
          m,
          C
        ) : (O & 64 || O & 128) && g.process(
          i,
          c,
          a,
          p,
          _,
          b,
          E,
          m,
          C,
          $e
        );
    }
    P != null && _ && hs(P, i && i.ref, b, c || i, !c);
  }, J = (i, c, a, p) => {
    if (i == null)
      n(
        c.el = f(c.children),
        a,
        p
      );
    else {
      const _ = c.el = i.el;
      c.children !== i.children && d(_, c.children);
    }
  }, K = (i, c, a, p) => {
    i == null ? n(
      c.el = u(c.children || ""),
      a,
      p
    ) : c.el = i.el;
  }, de = (i, c, a, p) => {
    [i.el, i.anchor] = $(
      i.children,
      c,
      a,
      p,
      i.el,
      i.anchor
    );
  }, L = ({ el: i, anchor: c }, a, p) => {
    let _;
    for (; i && i !== c; )
      _ = y(i), n(i, a, p), i = _;
    n(c, a, p);
  }, W = ({ el: i, anchor: c }) => {
    let a;
    for (; i && i !== c; )
      a = y(i), r(i), i = a;
    r(c);
  }, re = (i, c, a, p, _, b, E, m, C) => {
    c.type === "svg" ? E = "svg" : c.type === "math" && (E = "mathml"), i == null ? M(
      c,
      a,
      p,
      _,
      b,
      E,
      m,
      C
    ) : Bt(
      i,
      c,
      _,
      b,
      E,
      m,
      C
    );
  }, M = (i, c, a, p, _, b, E, m) => {
    let C, g;
    const { props: P, shapeFlag: O, transition: S, dirs: A } = i;
    if (C = i.el = l(
      i.type,
      b,
      P && P.is,
      P
    ), O & 8 ? h(C, i.children) : O & 16 && ie(
      i.children,
      C,
      null,
      p,
      _,
      Qt(i, b),
      E,
      m
    ), A && Le(i, null, p, "created"), oe(C, i, i.scopeId, E, p), P) {
      for (const D in P)
        D !== "value" && !yt(D) && o(
          C,
          D,
          null,
          P[D],
          b,
          i.children,
          p,
          _,
          Ce
        );
      "value" in P && o(C, "value", null, P.value, b), (g = P.onVnodeBeforeMount) && _e(g, p, i);
    }
    A && Le(i, null, p, "beforeMount");
    const T = ii(_, S);
    T && S.beforeEnter(C), n(C, c, a), ((g = P && P.onVnodeMounted) || T || A) && Q(() => {
      g && _e(g, p, i), T && S.enter(C), A && Le(i, null, p, "mounted");
    }, _);
  }, oe = (i, c, a, p, _) => {
    if (a && v(i, a), p)
      for (let b = 0; b < p.length; b++)
        v(i, p[b]);
    if (_) {
      let b = _.subTree;
      if (c === b) {
        const E = _.vnode;
        oe(
          i,
          E,
          E.scopeId,
          E.slotScopeIds,
          _.parent
        );
      }
    }
  }, ie = (i, c, a, p, _, b, E, m, C = 0) => {
    for (let g = C; g < i.length; g++) {
      const P = i[g] = m ? we(i[g]) : ge(i[g]);
      F(
        null,
        P,
        c,
        a,
        p,
        _,
        b,
        E,
        m
      );
    }
  }, Bt = (i, c, a, p, _, b, E) => {
    const m = c.el = i.el;
    let { patchFlag: C, dynamicChildren: g, dirs: P } = c;
    C |= i.patchFlag & 16;
    const O = i.props || H, S = c.props || H;
    let A;
    if (a && Ue(a, !1), (A = S.onVnodeBeforeUpdate) && _e(A, a, c, i), P && Le(c, i, a, "beforeUpdate"), a && Ue(a, !0), g ? Ne(
      i.dynamicChildren,
      g,
      m,
      a,
      p,
      Qt(c, _),
      b
    ) : E || U(
      i,
      c,
      m,
      null,
      a,
      p,
      Qt(c, _),
      b,
      !1
    ), C > 0) {
      if (C & 16)
        ke(
          m,
          c,
          O,
          S,
          a,
          p,
          _
        );
      else if (C & 2 && O.class !== S.class && o(m, "class", null, S.class, _), C & 4 && o(m, "style", O.style, S.style, _), C & 8) {
        const T = c.dynamicProps;
        for (let D = 0; D < T.length; D++) {
          const j = T[D], z = O[j], le = S[j];
          (le !== z || j === "value") && o(
            m,
            j,
            z,
            le,
            _,
            i.children,
            a,
            p,
            Ce
          );
        }
      }
      C & 1 && i.children !== c.children && h(m, c.children);
    } else
      !E && g == null && ke(
        m,
        c,
        O,
        S,
        a,
        p,
        _
      );
    ((A = S.onVnodeUpdated) || P) && Q(() => {
      A && _e(A, a, c, i), P && Le(c, i, a, "updated");
    }, p);
  }, Ne = (i, c, a, p, _, b, E) => {
    for (let m = 0; m < c.length; m++) {
      const C = i[m], g = c[m], P = (
        // oldVNode may be an errored async setup() component inside Suspense
        // which will not have a mounted element
        C.el && // - In the case of a Fragment, we need to provide the actual parent
        // of the Fragment itself so it can move its children.
        (C.type === Ee || // - In the case of different nodes, there is going to be a replacement
        // which also requires the correct parent container
        !Qe(C, g) || // - In the case of a component, it could contain anything.
        C.shapeFlag & 70) ? x(C.el) : (
          // In other cases, the parent container is not actually used so we
          // just pass the block element here to avoid a DOM parentNode call.
          a
        )
      );
      F(
        C,
        g,
        P,
        null,
        p,
        _,
        b,
        E,
        !0
      );
    }
  }, ke = (i, c, a, p, _, b, E) => {
    if (a !== p) {
      if (a !== H)
        for (const m in a)
          !yt(m) && !(m in p) && o(
            i,
            m,
            a[m],
            null,
            E,
            c.children,
            _,
            b,
            Ce
          );
      for (const m in p) {
        if (yt(m))
          continue;
        const C = p[m], g = a[m];
        C !== g && m !== "value" && o(
          i,
          m,
          g,
          C,
          E,
          c.children,
          _,
          b,
          Ce
        );
      }
      "value" in p && o(i, "value", a.value, p.value, E);
    }
  }, ht = (i, c, a, p, _, b, E, m, C) => {
    const g = c.el = i ? i.el : f(""), P = c.anchor = i ? i.anchor : f("");
    let { patchFlag: O, dynamicChildren: S, slotScopeIds: A } = c;
    A && (m = m ? m.concat(A) : A), i == null ? (n(g, a, p), n(P, a, p), ie(
      // #10007
      // such fragment like `<></>` will be compiled into
      // a fragment which doesn't have a children.
      // In this case fallback to an empty array
      c.children || [],
      a,
      P,
      _,
      b,
      E,
      m,
      C
    )) : O > 0 && O & 64 && S && // #2715 the previous fragment could've been a BAILed one as a result
    // of renderSlot() with no valid children
    i.dynamicChildren ? (Ne(
      i.dynamicChildren,
      S,
      a,
      _,
      b,
      E,
      m
    ), // #2080 if the stable fragment has a key, it's a <template v-for> that may
    //  get moved around. Make sure all root level vnodes inherit el.
    // #2134 or if it's a component root, it may also get moved around
    // as the component is being moved.
    (c.key != null || _ && c === _.subTree) && _r(
      i,
      c,
      !0
      /* shallow */
    )) : U(
      i,
      c,
      a,
      P,
      _,
      b,
      E,
      m,
      C
    );
  }, pt = (i, c, a, p, _, b, E, m, C) => {
    c.slotScopeIds = m, i == null ? c.shapeFlag & 512 ? _.ctx.activate(
      c,
      a,
      p,
      E,
      C
    ) : $t(
      c,
      a,
      p,
      _,
      b,
      E,
      C
    ) : js(i, c, C);
  }, $t = (i, c, a, p, _, b, E) => {
    const m = i.component = Ei(
      i,
      p,
      _
    );
    if (or(i) && (m.ctx.renderer = $e), xi(m), m.asyncDep) {
      if (_ && _.registerDep(m, k), !i.el) {
        const C = m.subTree = Te(ft);
        K(null, C, c, a);
      }
    } else
      k(
        m,
        i,
        c,
        a,
        _,
        b,
        E
      );
  }, js = (i, c, a) => {
    const p = c.component = i.component;
    if (So(i, c, a))
      if (p.asyncDep && !p.asyncResolved) {
        V(p, c, a);
        return;
      } else
        p.next = c, mo(p.update), p.effect.dirty = !0, p.update();
    else
      c.el = i.el, p.vnode = c;
  }, k = (i, c, a, p, _, b, E) => {
    const m = () => {
      if (i.isMounted) {
        let { next: P, bu: O, u: S, parent: A, vnode: T } = i;
        {
          const Ke = gr(i);
          if (Ke) {
            P && (P.el = T.el, V(i, P, E)), Ke.asyncDep.then(() => {
              i.isUnmounted || m();
            });
            return;
          }
        }
        let D = P, j;
        Ue(i, !1), P ? (P.el = T.el, V(i, P, E)) : P = T, O && zt(O), (j = P.props && P.props.onVnodeBeforeUpdate) && _e(j, A, P, T), Ue(i, !0);
        const z = Yt(i), le = i.subTree;
        i.subTree = z, F(
          le,
          z,
          // parent may have changed if it's in a teleport
          x(le.el),
          // anchor may have changed if it's in a fragment
          gt(le),
          i,
          _,
          b
        ), P.el = z.el, D === null && Oo(i, z.el), S && Q(S, _), (j = P.props && P.props.onVnodeUpdated) && Q(
          () => _e(j, A, P, T),
          _
        );
      } else {
        let P;
        const { el: O, props: S } = c, { bm: A, m: T, parent: D } = i, j = St(c);
        if (Ue(i, !1), A && zt(A), !j && (P = S && S.onVnodeBeforeMount) && _e(P, D, c), Ue(i, !0), O && Gt) {
          const z = () => {
            i.subTree = Yt(i), Gt(
              O,
              i.subTree,
              i,
              _,
              null
            );
          };
          j ? c.type.__asyncLoader().then(
            // note: we are moving the render call into an async callback,
            // which means it won't track dependencies - but it's ok because
            // a server-rendered async wrapper is already in resolved state
            // and it will never need to change.
            () => !i.isUnmounted && z()
          ) : z();
        } else {
          const z = i.subTree = Yt(i);
          F(
            null,
            z,
            a,
            p,
            i,
            _,
            b
          ), c.el = z.el;
        }
        if (T && Q(T, _), !j && (P = S && S.onVnodeMounted)) {
          const z = c;
          Q(
            () => _e(P, D, z),
            _
          );
        }
        (c.shapeFlag & 256 || D && St(D.vnode) && D.vnode.shapeFlag & 256) && i.a && Q(i.a, _), i.isMounted = !0, c = a = p = null;
      }
    }, C = i.effect = new Ps(
      m,
      ne,
      () => Ms(g),
      i.scope
      // track it in component's effect scope
    ), g = i.update = () => {
      C.dirty && C.run();
    };
    g.id = i.uid, Ue(i, !0), g();
  }, V = (i, c, a) => {
    c.component = i;
    const p = i.vnode.props;
    i.vnode = c, i.next = null, ei(i, c.props, p, a), ni(i, c.children, a), Ie(), Qs(i), Me();
  }, U = (i, c, a, p, _, b, E, m, C = !1) => {
    const g = i && i.children, P = i ? i.shapeFlag : 0, O = c.children, { patchFlag: S, shapeFlag: A } = c;
    if (S > 0) {
      if (S & 128) {
        _t(
          g,
          O,
          a,
          p,
          _,
          b,
          E,
          m,
          C
        );
        return;
      } else if (S & 256) {
        Fe(
          g,
          O,
          a,
          p,
          _,
          b,
          E,
          m,
          C
        );
        return;
      }
    }
    A & 8 ? (P & 16 && Ce(g, _, b), O !== g && h(a, O)) : P & 16 ? A & 16 ? _t(
      g,
      O,
      a,
      p,
      _,
      b,
      E,
      m,
      C
    ) : Ce(g, _, b, !0) : (P & 8 && h(a, ""), A & 16 && ie(
      O,
      a,
      p,
      _,
      b,
      E,
      m,
      C
    ));
  }, Fe = (i, c, a, p, _, b, E, m, C) => {
    i = i || Ge, c = c || Ge;
    const g = i.length, P = c.length, O = Math.min(g, P);
    let S;
    for (S = 0; S < O; S++) {
      const A = c[S] = C ? we(c[S]) : ge(c[S]);
      F(
        i[S],
        A,
        a,
        null,
        _,
        b,
        E,
        m,
        C
      );
    }
    g > P ? Ce(
      i,
      _,
      b,
      !0,
      !1,
      O
    ) : ie(
      c,
      a,
      p,
      _,
      b,
      E,
      m,
      C,
      O
    );
  }, _t = (i, c, a, p, _, b, E, m, C) => {
    let g = 0;
    const P = c.length;
    let O = i.length - 1, S = P - 1;
    for (; g <= O && g <= S; ) {
      const A = i[g], T = c[g] = C ? we(c[g]) : ge(c[g]);
      if (Qe(A, T))
        F(
          A,
          T,
          a,
          null,
          _,
          b,
          E,
          m,
          C
        );
      else
        break;
      g++;
    }
    for (; g <= O && g <= S; ) {
      const A = i[O], T = c[S] = C ? we(c[S]) : ge(c[S]);
      if (Qe(A, T))
        F(
          A,
          T,
          a,
          null,
          _,
          b,
          E,
          m,
          C
        );
      else
        break;
      O--, S--;
    }
    if (g > O) {
      if (g <= S) {
        const A = S + 1, T = A < P ? c[A].el : p;
        for (; g <= S; )
          F(
            null,
            c[g] = C ? we(c[g]) : ge(c[g]),
            a,
            T,
            _,
            b,
            E,
            m,
            C
          ), g++;
      }
    } else if (g > S)
      for (; g <= O; )
        he(i[g], _, b, !0), g++;
    else {
      const A = g, T = g, D = /* @__PURE__ */ new Map();
      for (g = T; g <= S; g++) {
        const se = c[g] = C ? we(c[g]) : ge(c[g]);
        se.key != null && D.set(se.key, g);
      }
      let j, z = 0;
      const le = S - T + 1;
      let Ke = !1, Bs = 0;
      const Ze = new Array(le);
      for (g = 0; g < le; g++)
        Ze[g] = 0;
      for (g = A; g <= O; g++) {
        const se = i[g];
        if (z >= le) {
          he(se, _, b, !0);
          continue;
        }
        let pe;
        if (se.key != null)
          pe = D.get(se.key);
        else
          for (j = T; j <= S; j++)
            if (Ze[j - T] === 0 && Qe(se, c[j])) {
              pe = j;
              break;
            }
        pe === void 0 ? he(se, _, b, !0) : (Ze[pe - T] = g + 1, pe >= Bs ? Bs = pe : Ke = !0, F(
          se,
          c[pe],
          a,
          null,
          _,
          b,
          E,
          m,
          C
        ), z++);
      }
      const $s = Ke ? li(Ze) : Ge;
      for (j = $s.length - 1, g = le - 1; g >= 0; g--) {
        const se = T + g, pe = c[se], Ks = se + 1 < P ? c[se + 1].el : p;
        Ze[g] === 0 ? F(
          null,
          pe,
          a,
          Ks,
          _,
          b,
          E,
          m,
          C
        ) : Ke && (j < 0 || g !== $s[j] ? De(pe, a, Ks, 2) : j--);
      }
    }
  }, De = (i, c, a, p, _ = null) => {
    const { el: b, type: E, transition: m, children: C, shapeFlag: g } = i;
    if (g & 6) {
      De(i.component.subTree, c, a, p);
      return;
    }
    if (g & 128) {
      i.suspense.move(c, a, p);
      return;
    }
    if (g & 64) {
      E.move(i, c, a, $e);
      return;
    }
    if (E === Ee) {
      n(b, c, a);
      for (let O = 0; O < C.length; O++)
        De(C[O], c, a, p);
      n(i.anchor, c, a);
      return;
    }
    if (E === es) {
      L(i, c, a);
      return;
    }
    if (p !== 2 && g & 1 && m)
      if (p === 0)
        m.beforeEnter(b), n(b, c, a), Q(() => m.enter(b), _);
      else {
        const { leave: O, delayLeave: S, afterLeave: A } = m, T = () => n(b, c, a), D = () => {
          O(b, () => {
            T(), A && A();
          });
        };
        S ? S(b, T, D) : D();
      }
    else
      n(b, c, a);
  }, he = (i, c, a, p = !1, _ = !1) => {
    const {
      type: b,
      props: E,
      ref: m,
      children: C,
      dynamicChildren: g,
      shapeFlag: P,
      patchFlag: O,
      dirs: S
    } = i;
    if (m != null && hs(m, null, a, i, !0), P & 256) {
      c.ctx.deactivate(i);
      return;
    }
    const A = P & 1 && S, T = !St(i);
    let D;
    if (T && (D = E && E.onVnodeBeforeUnmount) && _e(D, c, i), P & 6)
      Pr(i.component, a, p);
    else {
      if (P & 128) {
        i.suspense.unmount(a, p);
        return;
      }
      A && Le(i, null, c, "beforeUnmount"), P & 64 ? i.type.remove(
        i,
        c,
        a,
        _,
        $e,
        p
      ) : g && // #1153: fast path should not be taken for non-stable (v-for) fragments
      (b !== Ee || O > 0 && O & 64) ? Ce(
        g,
        c,
        a,
        !1,
        !0
      ) : (b === Ee && O & 384 || !_ && P & 16) && Ce(C, c, a), p && Hs(i);
    }
    (T && (D = E && E.onVnodeUnmounted) || A) && Q(() => {
      D && _e(D, c, i), A && Le(i, null, c, "unmounted");
    }, a);
  }, Hs = (i) => {
    const { type: c, el: a, anchor: p, transition: _ } = i;
    if (c === Ee) {
      xr(a, p);
      return;
    }
    if (c === es) {
      W(i);
      return;
    }
    const b = () => {
      r(a), _ && !_.persisted && _.afterLeave && _.afterLeave();
    };
    if (i.shapeFlag & 1 && _ && !_.persisted) {
      const { leave: E, delayLeave: m } = _, C = () => E(a, b);
      m ? m(i.el, b, C) : C();
    } else
      b();
  }, xr = (i, c) => {
    let a;
    for (; i !== c; )
      a = y(i), r(i), i = a;
    r(c);
  }, Pr = (i, c, a) => {
    const { bum: p, scope: _, update: b, subTree: E, um: m } = i;
    p && zt(p), _.stop(), b && (b.active = !1, he(E, i, c, a)), m && Q(m, c), Q(() => {
      i.isUnmounted = !0;
    }, c), c && c.pendingBranch && !c.isUnmounted && i.asyncDep && !i.asyncResolved && i.suspenseId === c.pendingId && (c.deps--, c.deps === 0 && c.resolve());
  }, Ce = (i, c, a, p = !1, _ = !1, b = 0) => {
    for (let E = b; E < i.length; E++)
      he(i[E], c, a, p, _);
  }, gt = (i) => i.shapeFlag & 6 ? gt(i.component.subTree) : i.shapeFlag & 128 ? i.suspense.next() : y(i.anchor || i.el);
  let Kt = !1;
  const Vs = (i, c, a) => {
    i == null ? c._vnode && he(c._vnode, null, null, !0) : F(
      c._vnode || null,
      i,
      c,
      null,
      null,
      null,
      a
    ), Kt || (Kt = !0, Qs(), Zn(), Kt = !1), c._vnode = i;
  }, $e = {
    p: F,
    um: he,
    m: De,
    r: Hs,
    mt: $t,
    mc: ie,
    pc: U,
    pbc: Ne,
    n: gt,
    o: e
  };
  let Wt, Gt;
  return t && ([Wt, Gt] = t(
    $e
  )), {
    render: Vs,
    hydrate: Wt,
    createApp: ko(Vs, Wt)
  };
}
function Qt({ type: e, props: t }, s) {
  return s === "svg" && e === "foreignObject" || s === "mathml" && e === "annotation-xml" && t && t.encoding && t.encoding.includes("html") ? void 0 : s;
}
function Ue({ effect: e, update: t }, s) {
  e.allowRecurse = t.allowRecurse = s;
}
function ii(e, t) {
  return (!e || e && !e.pendingBranch) && t && !t.persisted;
}
function _r(e, t, s = !1) {
  const n = e.children, r = t.children;
  if (w(n) && w(r))
    for (let o = 0; o < n.length; o++) {
      const l = n[o];
      let f = r[o];
      f.shapeFlag & 1 && !f.dynamicChildren && ((f.patchFlag <= 0 || f.patchFlag === 32) && (f = r[o] = we(r[o]), f.el = l.el), s || _r(l, f)), f.type === jt && (f.el = l.el);
    }
}
function li(e) {
  const t = e.slice(), s = [0];
  let n, r, o, l, f;
  const u = e.length;
  for (n = 0; n < u; n++) {
    const d = e[n];
    if (d !== 0) {
      if (r = s[s.length - 1], e[r] < d) {
        t[n] = r, s.push(n);
        continue;
      }
      for (o = 0, l = s.length - 1; o < l; )
        f = o + l >> 1, e[s[f]] < d ? o = f + 1 : l = f;
      d < e[s[o]] && (o > 0 && (t[n] = s[o - 1]), s[o] = n);
    }
  }
  for (o = s.length, l = s[o - 1]; o-- > 0; )
    s[o] = l, l = t[l];
  return s;
}
function gr(e) {
  const t = e.subTree.component;
  if (t)
    return t.asyncDep && !t.asyncResolved ? t : gr(t);
}
const ci = (e) => e.__isTeleport, Ee = Symbol.for("v-fgt"), jt = Symbol.for("v-txt"), ft = Symbol.for("v-cmt"), es = Symbol.for("v-stc"), ot = [];
let ue = null;
function fi(e = !1) {
  ot.push(ue = e ? null : []);
}
function ui() {
  ot.pop(), ue = ot[ot.length - 1] || null;
}
let ut = 1;
function un(e) {
  ut += e;
}
function ai(e) {
  return e.dynamicChildren = ut > 0 ? ue || Ge : null, ui(), ut > 0 && ue && ue.push(e), e;
}
function di(e, t, s, n, r, o) {
  return ai(
    at(
      e,
      t,
      s,
      n,
      r,
      o,
      !0
    )
  );
}
function hi(e) {
  return e ? e.__v_isVNode === !0 : !1;
}
function Qe(e, t) {
  return e.type === t.type && e.key === t.key;
}
const Ht = "__vInternal", mr = ({ key: e }) => e ?? null, At = ({
  ref: e,
  ref_key: t,
  ref_for: s
}) => (typeof e == "number" && (e = "" + e), e != null ? G(e) || te(e) || R(e) ? { i: be, r: e, k: t, f: !!s } : e : null);
function at(e, t = null, s = null, n = 0, r = null, o = e === Ee ? 0 : 1, l = !1, f = !1) {
  const u = {
    __v_isVNode: !0,
    __v_skip: !0,
    type: e,
    props: t,
    key: t && mr(t),
    ref: t && At(t),
    scopeId: tr,
    slotScopeIds: null,
    children: s,
    component: null,
    suspense: null,
    ssContent: null,
    ssFallback: null,
    dirs: null,
    transition: null,
    el: null,
    anchor: null,
    target: null,
    targetAnchor: null,
    staticCount: 0,
    shapeFlag: o,
    patchFlag: n,
    dynamicProps: r,
    dynamicChildren: null,
    appContext: null,
    ctx: be
  };
  return f ? (Ds(u, s), o & 128 && e.normalize(u)) : s && (u.shapeFlag |= G(s) ? 8 : 16), ut > 0 && // avoid a block node from tracking itself
  !l && // has current parent block
  ue && // presence of a patch flag indicates this node needs patching on updates.
  // component nodes also should always be patched, because even if the
  // component doesn't need to update, it needs to persist the instance on to
  // the next vnode so that it can be properly unmounted later.
  (u.patchFlag > 0 || o & 6) && // the EVENTS flag is only for hydration and if it is the only flag, the
  // vnode should not be considered dynamic due to handler caching.
  u.patchFlag !== 32 && ue.push(u), u;
}
const Te = pi;
function pi(e, t = null, s = null, n = 0, r = null, o = !1) {
  if ((!e || e === Ao) && (e = ft), hi(e)) {
    const f = Xe(
      e,
      t,
      !0
      /* mergeRef: true */
    );
    return s && Ds(f, s), ut > 0 && !o && ue && (f.shapeFlag & 6 ? ue[ue.indexOf(e)] = f : ue.push(f)), f.patchFlag |= -2, f;
  }
  if (vi(e) && (e = e.__vccOpts), t) {
    t = _i(t);
    let { class: f, style: u } = t;
    f && !G(f) && (t.class = xs(f)), B(u) && (Wn(u) && !w(u) && (u = q({}, u)), t.style = Es(u));
  }
  const l = G(e) ? 1 : wo(e) ? 128 : ci(e) ? 64 : B(e) ? 4 : R(e) ? 2 : 0;
  return at(
    e,
    t,
    s,
    n,
    r,
    l,
    o,
    !0
  );
}
function _i(e) {
  return e ? Wn(e) || Ht in e ? q({}, e) : e : null;
}
function Xe(e, t, s = !1) {
  const { props: n, ref: r, patchFlag: o, children: l } = e, f = t ? mi(n || {}, t) : n;
  return {
    __v_isVNode: !0,
    __v_skip: !0,
    type: e.type,
    props: f,
    key: f && mr(f),
    ref: t && t.ref ? (
      // #2078 in the case of <component :is="vnode" ref="extra"/>
      // if the vnode itself already has a ref, cloneVNode will need to merge
      // the refs so the single vnode can be set on multiple refs
      s && r ? w(r) ? r.concat(At(t)) : [r, At(t)] : At(t)
    ) : r,
    scopeId: e.scopeId,
    slotScopeIds: e.slotScopeIds,
    children: l,
    target: e.target,
    targetAnchor: e.targetAnchor,
    staticCount: e.staticCount,
    shapeFlag: e.shapeFlag,
    // if the vnode is cloned with extra props, we can no longer assume its
    // existing patch flag to be reliable and need to add the FULL_PROPS flag.
    // note: preserve flag for fragments since they use the flag for children
    // fast paths only.
    patchFlag: t && e.type !== Ee ? o === -1 ? 16 : o | 16 : o,
    dynamicProps: e.dynamicProps,
    dynamicChildren: e.dynamicChildren,
    appContext: e.appContext,
    dirs: e.dirs,
    transition: e.transition,
    // These should technically only be non-null on mounted VNodes. However,
    // they *should* be copied for kept-alive vnodes. So we just always copy
    // them since them being non-null during a mount doesn't affect the logic as
    // they will simply be overwritten.
    component: e.component,
    suspense: e.suspense,
    ssContent: e.ssContent && Xe(e.ssContent),
    ssFallback: e.ssFallback && Xe(e.ssFallback),
    el: e.el,
    anchor: e.anchor,
    ctx: e.ctx,
    ce: e.ce
  };
}
function gi(e = " ", t = 0) {
  return Te(jt, null, e, t);
}
function ge(e) {
  return e == null || typeof e == "boolean" ? Te(ft) : w(e) ? Te(
    Ee,
    null,
    // #3666, avoid reference pollution when reusing vnode
    e.slice()
  ) : typeof e == "object" ? we(e) : Te(jt, null, String(e));
}
function we(e) {
  return e.el === null && e.patchFlag !== -1 || e.memo ? e : Xe(e);
}
function Ds(e, t) {
  let s = 0;
  const { shapeFlag: n } = e;
  if (t == null)
    t = null;
  else if (w(t))
    s = 16;
  else if (typeof t == "object")
    if (n & 65) {
      const r = t.default;
      r && (r._c && (r._d = !1), Ds(e, r()), r._c && (r._d = !0));
      return;
    } else {
      s = 32;
      const r = t._;
      !r && !(Ht in t) ? t._ctx = be : r === 3 && be && (be.slots._ === 1 ? t._ = 1 : (t._ = 2, e.patchFlag |= 1024));
    }
  else
    R(t) ? (t = { default: t, _ctx: be }, s = 32) : (t = String(t), n & 64 ? (s = 16, t = [gi(t)]) : s = 8);
  e.children = t, e.shapeFlag |= s;
}
function mi(...e) {
  const t = {};
  for (let s = 0; s < e.length; s++) {
    const n = e[s];
    for (const r in n)
      if (r === "class")
        t.class !== n.class && (t.class = xs([t.class, n.class]));
      else if (r === "style")
        t.style = Es([t.style, n.style]);
      else if (It(r)) {
        const o = t[r], l = n[r];
        l && o !== l && !(w(o) && o.includes(l)) && (t[r] = o ? [].concat(o, l) : l);
      } else
        r !== "" && (t[r] = n[r]);
  }
  return t;
}
function _e(e, t, s, n = null) {
  ae(e, t, 7, [
    s,
    n
  ]);
}
const bi = fr();
let Ci = 0;
function Ei(e, t, s) {
  const n = e.type, r = (t ? t.appContext : e.appContext) || bi, o = {
    uid: Ci++,
    vnode: e,
    type: n,
    parent: t,
    appContext: r,
    root: null,
    // to be immediately set
    next: null,
    subTree: null,
    // will be set synchronously right after creation
    effect: null,
    update: null,
    // will be set synchronously right after creation
    scope: new Lr(
      !0
      /* detached */
    ),
    render: null,
    proxy: null,
    exposed: null,
    exposeProxy: null,
    withProxy: null,
    provides: t ? t.provides : Object.create(r.provides),
    accessCache: null,
    renderCache: [],
    // local resolved assets
    components: null,
    directives: null,
    // resolved props and emits options
    propsOptions: ar(n, r),
    emitsOptions: er(n, r),
    // emit
    emit: null,
    // to be set immediately
    emitted: null,
    // props default value
    propsDefaults: H,
    // inheritAttrs
    inheritAttrs: n.inheritAttrs,
    // state
    ctx: H,
    data: H,
    props: H,
    attrs: H,
    slots: H,
    refs: H,
    setupState: H,
    setupContext: null,
    attrsProxy: null,
    slotsProxy: null,
    // suspense related
    suspense: s,
    suspenseId: s ? s.pendingId : 0,
    asyncDep: null,
    asyncResolved: !1,
    // lifecycle hooks
    // not using enums here because it results in computed properties
    isMounted: !1,
    isUnmounted: !1,
    isDeactivated: !1,
    bc: null,
    c: null,
    bm: null,
    m: null,
    bu: null,
    u: null,
    um: null,
    bum: null,
    da: null,
    a: null,
    rtg: null,
    rtc: null,
    ec: null,
    sp: null
  };
  return o.ctx = { _: o }, o.root = t ? t.root : o, o.emit = Eo.bind(null, o), e.ce && e.ce(o), o;
}
let X = null, Tt, ps;
{
  const e = Rn(), t = (s, n) => {
    let r;
    return (r = e[s]) || (r = e[s] = []), r.push(n), (o) => {
      r.length > 1 ? r.forEach((l) => l(o)) : r[0](o);
    };
  };
  Tt = t(
    "__VUE_INSTANCE_SETTERS__",
    (s) => X = s
  ), ps = t(
    "__VUE_SSR_SETTERS__",
    (s) => Vt = s
  );
}
const dt = (e) => {
  const t = X;
  return Tt(e), e.scope.on(), () => {
    e.scope.off(), Tt(t);
  };
}, an = () => {
  X && X.scope.off(), Tt(null);
};
function br(e) {
  return e.vnode.shapeFlag & 4;
}
let Vt = !1;
function xi(e, t = !1) {
  t && ps(t);
  const { props: s, children: n } = e.vnode, r = br(e);
  Qo(e, s, r, t), si(e, n);
  const o = r ? Pi(e, t) : void 0;
  return t && ps(!1), o;
}
function Pi(e, t) {
  const s = e.type;
  e.accessCache = /* @__PURE__ */ Object.create(null), e.proxy = Gn(new Proxy(e.ctx, Wo));
  const { setup: n } = s;
  if (n) {
    const r = e.setupContext = n.length > 1 ? Si(e) : null, o = dt(e);
    Ie();
    const l = ye(
      n,
      e,
      0,
      [
        e.props,
        r
      ]
    );
    if (Me(), o(), On(l)) {
      if (l.then(an, an), t)
        return l.then((f) => {
          dn(e, f, t);
        }).catch((f) => {
          Dt(f, e, 0);
        });
      e.asyncDep = l;
    } else
      dn(e, l, t);
  } else
    Cr(e, t);
}
function dn(e, t, s) {
  R(t) ? e.type.__ssrInlineRender ? e.ssrRender = t : e.render = t : B(t) && (e.setupState = zn(t)), Cr(e, s);
}
let hn;
function Cr(e, t, s) {
  const n = e.type;
  if (!e.render) {
    if (!t && hn && !n.render) {
      const r = n.template || Ns(e).template;
      if (r) {
        const { isCustomElement: o, compilerOptions: l } = e.appContext.config, { delimiters: f, compilerOptions: u } = n, d = q(
          q(
            {
              isCustomElement: o,
              delimiters: f
            },
            l
          ),
          u
        );
        n.render = hn(r, d);
      }
    }
    e.render = n.render || ne;
  }
  {
    const r = dt(e);
    Ie();
    try {
      Go(e);
    } finally {
      Me(), r();
    }
  }
}
function yi(e) {
  return e.attrsProxy || (e.attrsProxy = new Proxy(
    e.attrs,
    {
      get(t, s) {
        return ee(e, "get", "$attrs"), t[s];
      }
    }
  ));
}
function Si(e) {
  const t = (s) => {
    e.exposed = s || {};
  };
  return {
    get attrs() {
      return yi(e);
    },
    slots: e.slots,
    emit: e.emit,
    expose: t
  };
}
function Ls(e) {
  if (e.exposed)
    return e.exposeProxy || (e.exposeProxy = new Proxy(zn(Gn(e.exposed)), {
      get(t, s) {
        if (s in t)
          return t[s];
        if (s in nt)
          return nt[s](e);
      },
      has(t, s) {
        return s in t || s in nt;
      }
    }));
}
const Oi = /(?:^|[-_])(\w)/g, Ai = (e) => e.replace(Oi, (t) => t.toUpperCase()).replace(/[-_]/g, "");
function wi(e, t = !0) {
  return R(e) ? e.displayName || e.name : e.name || t && e.__name;
}
function Er(e, t, s = !1) {
  let n = wi(t);
  if (!n && t.__file) {
    const r = t.__file.match(/([^/\\]+)\.\w+$/);
    r && (n = r[1]);
  }
  if (!n && e && e.parent) {
    const r = (o) => {
      for (const l in o)
        if (o[l] === t)
          return l;
    };
    n = r(
      e.components || e.parent.type.components
    ) || r(e.appContext.components);
  }
  return n ? Ai(n) : s ? "App" : "Anonymous";
}
function vi(e) {
  return R(e) && "__vccOpts" in e;
}
const Ri = (e, t) => oo(e, t, Vt), Ti = "3.4.16", Ii = "http://www.w3.org/2000/svg", Mi = "http://www.w3.org/1998/Math/MathML", ve = typeof document < "u" ? document : null, pn = ve && /* @__PURE__ */ ve.createElement("template"), Ni = {
  insert: (e, t, s) => {
    t.insertBefore(e, s || null);
  },
  remove: (e) => {
    const t = e.parentNode;
    t && t.removeChild(e);
  },
  createElement: (e, t, s, n) => {
    const r = t === "svg" ? ve.createElementNS(Ii, e) : t === "mathml" ? ve.createElementNS(Mi, e) : ve.createElement(e, s ? { is: s } : void 0);
    return e === "select" && n && n.multiple != null && r.setAttribute("multiple", n.multiple), r;
  },
  createText: (e) => ve.createTextNode(e),
  createComment: (e) => ve.createComment(e),
  setText: (e, t) => {
    e.nodeValue = t;
  },
  setElementText: (e, t) => {
    e.textContent = t;
  },
  parentNode: (e) => e.parentNode,
  nextSibling: (e) => e.nextSibling,
  querySelector: (e) => ve.querySelector(e),
  setScopeId(e, t) {
    e.setAttribute(t, "");
  },
  // __UNSAFE__
  // Reason: innerHTML.
  // Static content here can only come from compiled templates.
  // As long as the user only uses trusted templates, this is safe.
  insertStaticContent(e, t, s, n, r, o) {
    const l = s ? s.previousSibling : t.lastChild;
    if (r && (r === o || r.nextSibling))
      for (; t.insertBefore(r.cloneNode(!0), s), !(r === o || !(r = r.nextSibling)); )
        ;
    else {
      pn.innerHTML = n === "svg" ? `<svg>${e}</svg>` : n === "mathml" ? `<math>${e}</math>` : e;
      const f = pn.content;
      if (n === "svg" || n === "mathml") {
        const u = f.firstChild;
        for (; u.firstChild; )
          f.appendChild(u.firstChild);
        f.removeChild(u);
      }
      t.insertBefore(f, s);
    }
    return [
      // first
      l ? l.nextSibling : t.firstChild,
      // last
      s ? s.previousSibling : t.lastChild
    ];
  }
}, Fi = Symbol("_vtc");
function Di(e, t, s) {
  const n = e[Fi];
  n && (t = (t ? [t, ...n] : [...n]).join(" ")), t == null ? e.removeAttribute("class") : s ? e.setAttribute("class", t) : e.className = t;
}
const _n = Symbol("_vod"), Li = Symbol("");
function Ui(e, t, s) {
  const n = e.style, r = n.display, o = G(s);
  if (s && !o) {
    if (t && !G(t))
      for (const l in t)
        s[l] == null && _s(n, l, "");
    for (const l in s)
      _s(n, l, s[l]);
  } else if (o) {
    if (t !== s) {
      const l = n[Li];
      l && (s += ";" + l), n.cssText = s;
    }
  } else
    t && e.removeAttribute("style");
  _n in e && (e[_n] = n.display, n.display = r);
}
const gn = /\s*!important$/;
function _s(e, t, s) {
  if (w(s))
    s.forEach((n) => _s(e, t, n));
  else if (s == null && (s = ""), t.startsWith("--"))
    e.setProperty(t, s);
  else {
    const n = ji(e, t);
    gn.test(s) ? e.setProperty(
      fe(n),
      s.replace(gn, ""),
      "important"
    ) : e[n] = s;
  }
}
const mn = ["Webkit", "Moz", "ms"], ts = {};
function ji(e, t) {
  const s = ts[t];
  if (s)
    return s;
  let n = xe(t);
  if (n !== "filter" && n in e)
    return ts[t] = n;
  n = vn(n);
  for (let r = 0; r < mn.length; r++) {
    const o = mn[r] + n;
    if (o in e)
      return ts[t] = o;
  }
  return t;
}
const bn = "http://www.w3.org/1999/xlink";
function Hi(e, t, s, n, r) {
  if (n && t.startsWith("xlink:"))
    s == null ? e.removeAttributeNS(bn, t.slice(6, t.length)) : e.setAttributeNS(bn, t, s);
  else {
    const o = Fr(t);
    s == null || o && !Tn(s) ? e.removeAttribute(t) : e.setAttribute(t, o ? "" : s);
  }
}
function Vi(e, t, s, n, r, o, l) {
  if (t === "innerHTML" || t === "textContent") {
    n && l(n, r, o), e[t] = s ?? "";
    return;
  }
  const f = e.tagName;
  if (t === "value" && f !== "PROGRESS" && // custom elements may use _value internally
  !f.includes("-")) {
    e._value = s;
    const d = f === "OPTION" ? e.getAttribute("value") : e.value, h = s ?? "";
    d !== h && (e.value = h), s == null && e.removeAttribute(t);
    return;
  }
  let u = !1;
  if (s === "" || s == null) {
    const d = typeof e[t];
    d === "boolean" ? s = Tn(s) : s == null && d === "string" ? (s = "", u = !0) : d === "number" && (s = 0, u = !0);
  }
  try {
    e[t] = s;
  } catch {
  }
  u && e.removeAttribute(t);
}
function Bi(e, t, s, n) {
  e.addEventListener(t, s, n);
}
function $i(e, t, s, n) {
  e.removeEventListener(t, s, n);
}
const Cn = Symbol("_vei");
function Ki(e, t, s, n, r = null) {
  const o = e[Cn] || (e[Cn] = {}), l = o[t];
  if (n && l)
    l.value = n;
  else {
    const [f, u] = Wi(t);
    if (n) {
      const d = o[t] = zi(n, r);
      Bi(e, f, d, u);
    } else
      l && ($i(e, f, l, u), o[t] = void 0);
  }
}
const En = /(?:Once|Passive|Capture)$/;
function Wi(e) {
  let t;
  if (En.test(e)) {
    t = {};
    let n;
    for (; n = e.match(En); )
      e = e.slice(0, e.length - n[0].length), t[n[0].toLowerCase()] = !0;
  }
  return [e[2] === ":" ? e.slice(3) : fe(e.slice(2)), t];
}
let ss = 0;
const Gi = /* @__PURE__ */ Promise.resolve(), Ji = () => ss || (Gi.then(() => ss = 0), ss = Date.now());
function zi(e, t) {
  const s = (n) => {
    if (!n._vts)
      n._vts = Date.now();
    else if (n._vts <= s.attached)
      return;
    ae(
      qi(n, s.value),
      t,
      5,
      [n]
    );
  };
  return s.value = e, s.attached = Ji(), s;
}
function qi(e, t) {
  if (w(t)) {
    const s = e.stopImmediatePropagation;
    return e.stopImmediatePropagation = () => {
      s.call(e), e._stopped = !0;
    }, t.map((n) => (r) => !r._stopped && n && n(r));
  } else
    return t;
}
const xn = (e) => e.charCodeAt(0) === 111 && e.charCodeAt(1) === 110 && // lowercase letter
e.charCodeAt(2) > 96 && e.charCodeAt(2) < 123, Xi = (e, t, s, n, r, o, l, f, u) => {
  const d = r === "svg";
  t === "class" ? Di(e, n, d) : t === "style" ? Ui(e, s, n) : It(t) ? ms(t) || Ki(e, t, s, n, l) : (t[0] === "." ? (t = t.slice(1), !0) : t[0] === "^" ? (t = t.slice(1), !1) : Yi(e, t, n, d)) ? Vi(
    e,
    t,
    n,
    o,
    l,
    f,
    u
  ) : (t === "true-value" ? e._trueValue = n : t === "false-value" && (e._falseValue = n), Hi(e, t, n, d));
};
function Yi(e, t, s, n) {
  if (n)
    return !!(t === "innerHTML" || t === "textContent" || t in e && xn(t) && R(s));
  if (t === "spellcheck" || t === "draggable" || t === "translate" || t === "form" || t === "list" && e.tagName === "INPUT" || t === "type" && e.tagName === "TEXTAREA")
    return !1;
  if (t === "width" || t === "height") {
    const r = e.tagName;
    if (r === "IMG" || r === "VIDEO" || r === "CANVAS" || r === "SOURCE")
      return !1;
  }
  return xn(t) && G(s) ? !1 : t in e;
}
/*! #__NO_SIDE_EFFECTS__ */
// @__NO_SIDE_EFFECTS__
function ki(e, t) {
  const s = /* @__PURE__ */ rr(e);
  class n extends Us {
    constructor(o) {
      super(s, o, t);
    }
  }
  return n.def = s, n;
}
const Zi = typeof HTMLElement < "u" ? HTMLElement : class {
};
class Us extends Zi {
  constructor(t, s = {}, n) {
    super(), this._def = t, this._props = s, this._instance = null, this._connected = !1, this._resolved = !1, this._numberProps = null, this._ob = null, this.shadowRoot && n ? n(this._createVNode(), this.shadowRoot) : (this.attachShadow({ mode: "open" }), this._def.__asyncLoader || this._resolveProps(this._def));
  }
  connectedCallback() {
    this._connected = !0, this._instance || (this._resolved ? this._update() : this._resolveDef());
  }
  disconnectedCallback() {
    this._connected = !1, this._ob && (this._ob.disconnect(), this._ob = null), Yn(() => {
      this._connected || (yn(null, this.shadowRoot), this._instance = null);
    });
  }
  /**
   * resolve inner component definition (handle possible async component)
   */
  _resolveDef() {
    this._resolved = !0;
    for (let n = 0; n < this.attributes.length; n++)
      this._setAttr(this.attributes[n].name);
    this._ob = new MutationObserver((n) => {
      for (const r of n)
        this._setAttr(r.attributeName);
    }), this._ob.observe(this, { attributes: !0 });
    const t = (n, r = !1) => {
      const { props: o, styles: l } = n;
      let f;
      if (o && !w(o))
        for (const u in o) {
          const d = o[u];
          (d === Number || d && d.type === Number) && (u in this._props && (this._props[u] = Ws(this._props[u])), (f || (f = /* @__PURE__ */ Object.create(null)))[xe(u)] = !0);
        }
      this._numberProps = f, r && this._resolveProps(n), this._applyStyles(l), this._update();
    }, s = this._def.__asyncLoader;
    s ? s().then((n) => t(n, !0)) : t(this._def);
  }
  _resolveProps(t) {
    const { props: s } = t, n = w(s) ? s : Object.keys(s || {});
    for (const r of Object.keys(this))
      r[0] !== "_" && n.includes(r) && this._setProp(r, this[r], !0, !1);
    for (const r of n.map(xe))
      Object.defineProperty(this, r, {
        get() {
          return this._getProp(r);
        },
        set(o) {
          this._setProp(r, o);
        }
      });
  }
  _setAttr(t) {
    let s = this.getAttribute(t);
    const n = xe(t);
    this._numberProps && this._numberProps[n] && (s = Ws(s)), this._setProp(n, s, !1);
  }
  /**
   * @internal
   */
  _getProp(t) {
    return this._props[t];
  }
  /**
   * @internal
   */
  _setProp(t, s, n = !0, r = !0) {
    s !== this._props[t] && (this._props[t] = s, r && this._instance && this._update(), n && (s === !0 ? this.setAttribute(fe(t), "") : typeof s == "string" || typeof s == "number" ? this.setAttribute(fe(t), s + "") : s || this.removeAttribute(fe(t))));
  }
  _update() {
    yn(this._createVNode(), this.shadowRoot);
  }
  _createVNode() {
    const t = Te(this._def, q({}, this._props));
    return this._instance || (t.ce = (s) => {
      this._instance = s, s.isCE = !0;
      const n = (o, l) => {
        this.dispatchEvent(
          new CustomEvent(o, {
            detail: l
          })
        );
      };
      s.emit = (o, ...l) => {
        n(o, l), fe(o) !== o && n(fe(o), l);
      };
      let r = this;
      for (; r = r && (r.parentNode || r.host); )
        if (r instanceof Us) {
          s.parent = r._instance, s.provides = r._instance.provides;
          break;
        }
    }), t;
  }
  _applyStyles(t) {
    t && t.forEach((s) => {
      const n = document.createElement("style");
      n.textContent = s, this.shadowRoot.appendChild(n);
    });
  }
}
const Qi = /* @__PURE__ */ q({ patchProp: Xi }, Ni);
let Pn;
function el() {
  return Pn || (Pn = ri(Qi));
}
const yn = (...e) => {
  el().render(...e);
}, tl = "data:image/svg+xml,%3csvg%20xmlns='http://www.w3.org/2000/svg'%20xmlns:xlink='http://www.w3.org/1999/xlink'%20aria-hidden='true'%20role='img'%20class='iconify%20iconify--logos'%20width='37.07'%20height='36'%20preserveAspectRatio='xMidYMid%20meet'%20viewBox='0%200%20256%20198'%3e%3cpath%20fill='%2341B883'%20d='M204.8%200H256L128%20220.8L0%200h97.92L128%2051.2L157.44%200h47.36Z'%3e%3c/path%3e%3cpath%20fill='%2341B883'%20d='m0%200l128%20220.8L256%200h-51.2L128%20132.48L50.56%200H0Z'%3e%3c/path%3e%3cpath%20fill='%2335495E'%20d='M50.56%200L128%20133.12L204.8%200h-47.36L128%2051.2L97.92%200H50.56Z'%3e%3c/path%3e%3c/svg%3e", sl = { class: "template" }, nl = /* @__PURE__ */ at("a", {
  href: "https://vuejs.org/",
  target: "_blank"
}, [
  /* @__PURE__ */ at("img", {
    src: tl,
    class: "logo vue",
    alt: "Vue logo"
  })
], -1), rl = /* @__PURE__ */ rr({
  __name: "App",
  props: ["foo"],
  emits: ["clicked"],
  setup(e, { emit: t }) {
    const s = t;
    function n() {
      console.log("clicked from vue component"), s("clicked", { name: "carla" });
    }
    return (r, o) => (fi(), di("div", sl, [
      nl,
      at("button", { onClick: n }, Dr(e.foo || "foo is null"), 1)
    ]));
  }
}), ol = /* @__PURE__ */ ki(rl);
customElements.define("vuejs-example", ol);
